Introduction
Return to Introduction
TC Tracker is an Issue tracking addin to the popular Team Coherence Software Configuration Management (SCM) tool. TC Tracker integrates tightly with Team Coherence to add issue tracking and to link issues with file archives.

Using TC Tracker, you can log and control the progress of various types of Issues and maintain a history of how the issues progress. The tight integration with Team Coherence means that Issues can be associated with project files, and vice versa.

This help file contains all the information you should need to guide you while using TC Tracker.

· Guide to TC Tracker Documentation

· Overview
What is TC Tracker
How to Buy TC Tracker
End User License Agreement

· Getting Started
Objects Maintained by TC Tracker
Using TC Tracker

· Tasks

© 1995-2015 MCN Software Ltd


Typographical Conventions
· Bold Italics
Indicates button presses or menu selections required for an action

· Forward Slash /
Separates menus and their associated commands. For example Action / Checkin means select Checkin from the Actions menu

· notes Block Quotation
Emphasizes important information and useful hints

· UPPERCASE
Indicates keys or key combinations you can use. For example, press the ENTER key


Mouse Conventions
· Click
Point to an object with the mouse pointer and press the left mouse button.

· Double-click
Press the left mouse button twice in quick succession.

· Right-click
Press the right mouse button

· Drag
Press and hold the left mouse button while dragging the selected object(s) to another part of the Screen.

· SHIFT+Click
Press and hold the SHIFT key and make a selection, allowing you to select a series of objects.

· CTRL+Click
Press and hold the CTRL key while clicking on objects, allowing you to select objects randomly.

· CTRL+Drag
Press and hold the CTRL key while dragging objects.


What is TC Tracker?
TC Tracker is an Issue tracking tool designed specifically to integrate with the popular SCM tool, Team Coherence. TC Tracker allows you to track the progress of Issues (Bug Reports, Feature Requests, Enhancements, Tasks, and Work Requests) as they pass through various stages to eventual completion.

A large amount of information can be stored against Issues, including images and screenshots. User definable fields per Issue type and HTML Templates for screen layout mean that the amount of information you store, and how it is displayed is entirely configurable. In addition, tight integration with Team Coherence allows you to associate actual source files and documents with individual issues.

TC Tracker has been designed with the future in mind. It is easily extendable through addins and has a modular architecture to allow for future enhancement.


Team Coherence Server
Team Coherence Server is the core of the Team Coherence suite of configuration management tools, and is a required component of TC Tracker. It provides secure access to the data managed by Team Coherence, and its addins, either through a Local Area Network, or remotely through a WAN or the Internet.

Team Coherence Server can be run as a Service under Windows NT and 2000, or as a standalone application under Windows 9X and multiple instances of the server can be run on the same machine. Each instance of the server represents a Team Coherence Repository.

Information on installing and running the server can be found in the server documentation.


How to Buy TC Tracker
You can order TC Tracker online directly from our home page, or through one of our many resellers

Home page

www.teamcoherence.com

Email support

support@teamcoherence.com

Post

MCN Software
6 Suttie Way
Bridge of Allan
FK9 4NQ
Scotland

Fax

+44 (0)1786 834908


A word about Licensing
The TC Tracker licensing model is not concurrent. That is: you must have as many licenses installed as you have users that can login to an instance of the Team Coherence Server.

You can have the same licenses installed on any number of servers within your organisation, but each user must be accounted for in the total number of individual licenses.

See also: License Agreement


License Agreement
notes See also: A word about Licensing

Copyright Notice

TC Tracker is Copyright © 1995-2010 MCN Software. All Rights Reserved.

License Agreement

GRANT. Subject to the provisions contained herein, MCN Software, (herein "MCN") hereby grants you a non-exclusive 45-day license to use its accompanying proprietary software ("Software"), described as TC Tracker, free of charge for the sole purpose of evaluating whether to purchase an ongoing license to the Software.

You may evaluate the software for not more than 45 days. At the end of 45 days you must purchase a license in order to continue using the Software. If you do not fit within the description above, a license fee is due to MCN and no license is granted herein. If you are using an evaluation version of the Software, you will not be entitled to technical support.

SOFTWARE AND DOCUMENTATION. MCN shall furnish the Software to you electronically or on media in machine-readable object code form. If you receive your first copy of the Software electronically, and a second copy on media, the second copy may be used for backup and archive purposes only. This license does not grant you any right to any enhancement or update to the Software and Documentation. Enhancements and updates, if available, may be obtained by you at MCN's then-current standard pricing, terms, and conditions.

RESTRICTED USE. You may not lend, rent, lease or otherwise transfer the Software. The Software is protected by the copyright laws of the United Kingdom and international copyright treaties. This license is valid for only one user on only one computer.

ACADEMIC LICENSE. If you purchased a license as part of the academic license scheme, use of the Software is restricted to academic projects and may not be used for any commercial purpose whatsoever.
TITLE. Title, ownership rights, and intellectual property rights in and to the Software and Documentation shall remain in MCN and/or its suppliers. This Agreement does not include the right to copy or sublicense the Software and is personal to you and therefore may not be assigned (by operation of law or otherwise) or transferred without the prior written consent of MCN. You acknowledge that the Software in source code form remains a confidential trade secret of MCN and/or its suppliers and therefore you agree not to attempt to decipher, decompile, disassemble or reverse engineer the Software or allow others to do so, except to the extent applicable laws specifically prohibit such restriction. You further agree not to modify or create derivative works of the Software.

CONTENT. Title, ownership rights, and intellectual property rights in and to the content accessed through the Software is the property of the applicable content owner and may be protected by applicable copyright or other law. This License gives you no rights to such content.

DISCLAIMER OF WARRANTY. The Software is provided on an "AS IS" basis, without warranty of any kind, including without limitation the warranties of merchantability, fitness for a particular purpose and non-infringement. The entire risk as to the quality and performance of the Software is borne by you.

Should the Software prove defective, you and not MCN assume the entire cost of any service and repair.
This disclaimer of warranty constitutes an essential part of the agreement. SOME STATES DO NOT ALLOW EXCLUSIONS OF AN IMPLIED WARRANTY, SO THIS DISCLAIMER MAY NOT APPLY TO YOU AND YOU MAY HAVE OTHER LEGAL RIGHTS THAT VARY FROM STATE TO STATE OR BY JURISDICTION.

LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, TORT, CONTRACT, OR OTHERWISE, SHALL MCN OR ITS SUPPLIERS OR RESELLERS BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES. IN NO EVENT WILL MCN BE LIABLE FOR ANY DAMAGES IN EXCESS OFMCN'S LIST PRICE FOR A LICENSE TO THE SOFTWARE, EVEN IF MCN SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES, OR FOR ANY CLAIM BY ANY OTHER PARTY. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. FURTHERMORE, SOME STATES DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS LIMITATION AND EXCLUSION MAY NOT APPLY TO YOU.

TERMINATION. Either party may terminate this Agreement immediately in the event of default by the other party. Upon any termination of this Agreement, you shall immediately discontinue the use of the Software and shall within ten (10) days return to MCN all copies of the Software and Documentation. You may also terminate this Agreement at any time by destroying the Software and Documentation and all copies thereof. Your obligations to pay accrued charges and fees shall survive any termination of this Agreement.

MISCELLANEOUS. This Agreement represents the complete and exclusive statement of the agreements concerning this license between the parties and supersedes all prior agreements and representations between them. It may be amended only by a writing executed by both parties. THE ACCEPTANCE OF ANY PURCHASE ORDER PLACED BY YOU IS EXPRESSLY MADE CONDITIONAL ON YOUR ASSENT TO THE TERMS SET FORTH HEREIN, AND MCN AGREES TO FURNISH THE SOFTWARE AND DOCUMENTATION ONLY UPON THESE TERMS AND NOT THOSE CONTAINED IN YOUR PURCHASE ORDER. If any provision of this Agreement is held to be unenforceable for any reason, such provision shall be reformed only to the extent necessary to make it enforceable, and such decision shall not affect the enforceability (i) of such provision under other circumstances or (ii) of the remaining provisions hereof under all circumstances. Headings shall not be considered in interpreting this Agreement. This Agreement shall be governed by and construed under United Kingdom law. This Agreement will not be governed by the United Nations Convention of Contracts for the International Sale of Goods, the application of which is hereby expressly excluded.

Contractor/manufacturer is MCN Software

Contact:
MCN Software
www.teamcoherence.com
info@teamcoherence.com


Getting Started
If you are using TC-Tracker as an addin to Team Coherence, then you should already be configured. If you have not yet configured a repository, or are just browsing the documentation, please read the Team Coherence and Team Coherence Server documentation to find out how to create a new repository.

If you are using TC Tracker as a standalone tool, please refer to the following sections for information on connecting to a repository.

· Connecting to a Repository

The following topics describe the objects maintained by TC Tracker, and a bit about the user interface

· Objects Maintained by TC Tracker
· Using TC Tracker

An additional important topic you should check out before using TC Tracker in anger is the topic about Users and Groups. This is covered in the Team Coherence documentation, but is also listed here for reference.


Repositories
In Team Coherence, a repository is simply a central location, available to all interested users, where the files and issues maintained by Team Coherence are stored. Each repository is controlled by a Server application that contains all the core logic for the Version Control and Issue Tracking functionality.

To all intents and purposes, and as far as TC Tracker is concerned, the repository can be considered a black box that is used to manage the following items:

· Projects
· Issues
· Queries

Connection to a repository is via standard TCP/IP so the server could, if necessary, reside on the other side of the planet and be accessed using a standard Internet connection.


Projects
In TC Tracker, a Project is simply used to group related Issues together and to define which users or groups can carry out specific actions. A repository can contain any number of projects, but each has to have a unique name.

notes Note that, by default, only Issues assigned to you will be displayed under Projects and Folders. You can also view issues from all users (see the Show Issues for All Users checkbox under Tools/Options/General).

Security in TC Tracker is defined at the Project level. Access to the security options is via the Project Properties dialog box (select the Project and choose Action / Properties from the main menu). The various security levels apply to all Issues contained by the project:

· Access - defines which users can specify security privileges
· Delete - defines which users can delete an issue
· Modify - defines which users can modify an issue
· Can Complete - defines which users can complete an issue
· Can Verify - defines which users can verify an issue
· Can View - defines which users can view the issues contained by this project.

notes Note that Admin users, and Supervisor, have full access to all issues regardless of these settings.

A Project can contain any number of Folders.


Folders
For every Project, there are one or more folders. Folders are simply an organisational tool used to group issues, for example, by their status or importance. Each user can define any number of folders and use them for any purpose.

It is important to note that folders are created on a per-User basis and are an organisational tool only. For this reason, different users logging into the system will only see the folders defined by themselves and other users may see a completely different folder structure for the same Project.

The main folder contained by a Project is called the In Tray. The In Tray contains all issues that are assigned to you and have not yet been moved to other folders. All new issues will initially be found in the In Tray.

notes Note that, by default, only Issues assigned to you will be displayed under Projects and Folders. You can also view issues from all users (see the Show Issues for All Users checkbox under Tools/Options/General). In this case, the In Tray will show all issues from all users unless they have been moved into another folder.


Issues
In TC Tracker, an Issue refers to either a Bug Report, Feature Request, Enhancement, Task, Work Request, Information Request, Change Request, Requirement, or Idea. All contain very similar information, but the distinction makes it easier to visually distinguish between the two in our user interface. Although the field descriptions may differ for each type, the data stored is identical in all cases.

In most cases, the options available for any key field are selected from a predefined list (configurable). Free-form fields allow you to enter plain text, or text formatted using HTML.

All changes to key fields are recorded in a History list which cannot be modified. This list provides valuable information about the progress of the Issue.

The information stored for Issues includes:

Area (List)
This is the functional area within the project that this Issue references.

Description
Basic description of the Issue. Displayed in the list view.

Origination

The Origination section defines how the issue was raised, by who, and what priority was assigned to it.

Submitted by
Displays the name of the user that created the Issue (cannot be modified)

Submitted on
Displays the date that the Issue was created (cannot be modified)

Priority (List)
Specifies the priority of the Issue.

Complete by
Specifies the date that the issue should be completed by. If an issue is unresolved after this date, it is highlighted in the listview.

Requested by/Reported by
Freeform text that allows you to define who requested the change or reported the bug.

Severity (Bugs)(List)
Specifies how serious the reported Bug is.

Reported in Version (Bugs)(List)
Defines the Version of the product that the issue was reported in. If Tracker is integrated with Team Coherence, a list of existing Version Labels will be displayed.

Resolution

The Resolution section describes the current and final status of the Issue.

Assigned to (List)
Shows who the Issue is currently assigned to.

Current Status (List)
Specifies the current status of the Issue.

Completed
Specified the date that the Issue was marked as 'Completed'. This field cannot be modified, but changing the Status to another value (other than 'Verified') will clear this date. The change will be recorded in the History.

Completed By (List)
Specifies the User that marked this issue as 'Completed'. Setting this field, by whatever method, will set the Completed date value.

Verified
Specified the date that the Issue was marked as 'Verified'. This field cannot be modified, but changing the Status to another value will clear this date. The change will be recorded in the History.

Verified By (List)
Specifies the User that marked this issue as 'Verified'. Setting this field, by whatever method, will set the Verified date value.

Implemented in Version (List)
Defines the Version of the product that the issue was implemented in. If Tracker is integrated with Team Coherence, a list of existing Version Labels will be displayed.

Closure Category (Bugs) (List)
Specifies a category that can be used for reporting.

Request / Report

Free-form notes about why the issue was raised. This field can be either plain text, or can be formatted using HTML to include tables, different fonts, and colour.

Implementation Notes / Notes

More free-form notes to allow you to specify how the issue was implemented, or record any other information.

New Ideas / Other

More free-form notes to allow you to specify any new ideas that arose during the implementation or resolution of this issue. This field can be included in the page report.

Resolution

Yet another free-form note field. This one can be used to describe how the issue was resolved.

Attachments

This 'field' allows you to attach documents to the issue. In particular, it allows you to directly link an issue to one or more Team Coherence archives. Normal files, when associated with an Issue are not stored as part of the Issue, so avoid using local pathnames or these files may not be accessible to others. To make sure that all documents are accessible to others, archive them using Team Coherence before adding them. In this way, you also get a history of the changes to the documents.

Images

Images can be stored against an Issue. In most cases, a picture can better describe why an issue was raised than words. Images are stored as part of the issue, so are available to anybody who can view the Issue. Images can be pasted from the clipboard as well as being loaded from file. All images are compressed at the server-side.

History

The history 'field' displays all the changes made to key fields during the life of the Issue. The details cannot be modified and provide a valuable history of who did what in the resolution of th issue.


Queries
With a large number of issues defined in a repository, it can be difficult to keep track of which issues are assigned to who, and what their current status is. Queries allow you to define any number of 'Views' of this information and quickly switch between these views.

Shared queries provide a way to define a set of standard queries that might be useful to all users connected to a repository, while User queries allow individual users to define their own. Temporary queries allow users to create queries for one-off tasks such as reporting, and are deleted when TC Tracker is shut down.


Connecting to a Repository
Before you can start the TC Tracker client application you must tell Tracker the location of a valid connection to a running repository. This can be done using the Connection Manager.

Note that this only applies to the standalone version of Tracker. With the addin for Team Coherence, connection is done through Version Manager.

connectionmgr

To start the connection manager select Start / Programs / MCN / Team Coherence / Connection Manager

The Connection Manager displays a list of known connections to repositories. If you want this dialog to be displayed each time you start Team Coherence, make sure that Prompt at startup is checked. It can also be displayed while running Version Manager by selecting Tools / Connection Manager... from the main menu.

To add a new connection, click on the Add button. To modify an existing connection, click on the Modify button. This will display the properties dialog box for the selected or new connection:

connectionprop

The Connection Properties dialog box allows you to specify the connection parameters to an existing repository. As well as a Name and Description for the connection, used to identify the connection, you must specify:

Host
The host is the address of the computer that is running the instance of the Team Coherence Server you wish to connect to. You can either use the HostName for the machine, or can specify a valid IP address.

Port
The Port is the port that the instance of the Team Coherence Server you are connecting to is listening on. This information will be available from the person responsible for maintaining the server.

Dialup Networking
If you are accessing a remote repository via a dialup connection you can select an existing DUN connection to use from the list. You also need to enter a valid username and password for that connection.

Security
If the Team Coherence Server you are connecting to has had an additional security key assigned to it, you will also need to enter that key in the Security page. The key should be supplied by your system administrator.

Note that this security key is only required if a key has been applied to the server.

Once the parameters have been set for this connection, you can use the Test Connection button to check that the connection is valid. This will try and connect to the server and wait for a valid reply.


Visual Elements
The main visual element in TC Tracker allows you to get an overall view of the Issues contained in a repository. It is also where most of the administrative tasks are carried out.

To access TC Tracker, use the link under the Windows Start menu and switch to the TC Tracker window.

trackerrgn

The main TC Tracker window is split into four areas. The actual contents of these areas may vary based on the current selection.

1) Main Menu / Toolbar
The main menu and toolbar give full access to the features of TC Tracker. Some menu options are dependent on the current selection, and the Action menu is also available as a context menu when right-clicking in some of the other windows.

2) Folder Pane
The Folder Pane is used to display the Projects and Queries contained in a Repository. Right-clicking on any object in this pane will display a context menu based on the current selection.

Selecting an object in this pane will cause the Details Pane to update based on this selection.

3) List Pane
The List pane displays the list of objects directly contained by the object selected in the Folder Pane. Depending on the current selection, this is normally a list of the Issues or Queries contained or referenced by this object. Right-clicking on any object in this pane will display a context menu based on the current selection.

Selecting an object, or multiple objects, in this pane will cause the Detail and pane to update based on this selection.

4) Detail Pane
The detail pane displays details for the currently selected object in the Folder or List pane, depending on which is currently active. It contains a number of pages based on the current selection and may contain pages created by addin applications.


Tasks
This section will outline how to carry out some common tasks in TC Tracker. This is by no means an exhaustive list of the features available in TC Tracker, but is meant to help get you up to speed quickly.


Users and Groups
One of the first things to do before defining security is to group users into logical groups according to their function. User management in TC Tracker is carried out using the User Manager dialog. This is accessible to ADMIN users by selecting Tools/User Manager…:

usermgrusers

This dialog is split into two pages Users (above) and Groups. The Users page lists all users defined for the current repository as well as the groups they belong to. To modify an existing User, select the user and click the Properties button. To add a user, click the New button. This displays the User Properties dialog box:

userprops

The Name property is the name that the user logs in under. In addition, a valid password is required. If you change the password for a user, they will need to enter the new password the next time they log in.

The Groups page of the User Manager allows you to organize users into logical groups based on their function:

usermgrgroups

Groups can contain other groups as well as users, so care is required when defining the members of a group. To modify an existing group, select the group and click the Properties button. To create a new group and assign users to it, click on the New button:

groupprops

To add and remove members of a group, click the Select button. This displays the Select Users dialog that is also used elsewhere in TC Tracker when defining security:

selectusergroup

To add a user or group to the group, select the item in the upper list and click the Add button. To remove an item, select the item in the lower list and click the Remove button. If you are adding a group, Team Coherence will check for recursion (i.e. Group1 containing Group2 containing Group1) and will disallow the action.

When you have finished selecting the members of the group, press the OK button to save your changes.


Creating a Project
Before you can add Issues to TC Tracker, you need to create at least one Project. Projects allow you to organise issues into logical groups. In addition, Projects allow you to specify which users have what access to the issues contained within the project.

To create a new Project, select Action / New / Project from the main menu, or press the New Project button in the toolbar. When prompted, enter a name for the project. This has to be unique within the repository.

The project is created with default security settings based on the current user. To modify the security settings, select the project and select Action / Properties from the main menu. Security settings are discussed under Projects.

notes If another user has created or modified an object since you have started TC Tracker, the new settings will not show up on your system until you do a refresh. To refresh the local cache, press F5, or select View / Refresh from the main menu.


Creating an Issue
Issues are the core element in TC Tracker and are used to maintain all the information associated with Bug Reports and Feature Requests. Once an issue is created all changes to the values of the key fields maintained by the issue are tracked and reported in the History report.

To create a new Issue, select Action / New / <Issue Type> from the main menu, or click on the relevant button in the toolbar.

The following dialog is displayed:

newissue

Most of the important fields will already be filled in with (configurable) default values, so the initial description of the issue is all that is required.

Pressing the OK button will validate the information and create the new issue.


Updating an Issue
There are several ways to update an existing issue. TC Tracker makes extensive use of HTML to make access to Issues and related information as easy as possible.

notes Note: if another user has created or modified an object since you have started TC Tracker, the new settings will not show up on your system until you do a refresh. To refresh the local cache, press F5, or select View / Refresh from the main menu.

On the details screen, the following view is displayed when an issue is selected:

issuedetails

Moving the mouse over the description of any editable field and clicking it will pop up an editor for that particular field.

An issue can also be edited using it's property sheet. The Issue Properties dialog box can be accessed by selecting the relevant issue and choosing Action / Properties from the main menu.

The various notes fields can be edited by selecting the relevant page in the above view and either clicking on the Properties hyperlink, or double-clicking on the page itself.

Attachments

The Attachments page allows you to add and manipulate references to either standard files, or Team Coherence archives:

attachments

To add a Team Coherence Archive to the current Issue select Action / Add / TC Archive from the main menu. This will display a selection dialog to allow you to select the relevant archives.

Once associated with the Issue, Issue properties are available from the Check In, Check Out and Properties dialog boxes of Team Coherence. In addition, the standard Check In, Check Out, Get and Properties menu options and tool buttons are available for the selected archives within TC Tracker.

Two other types of attachment can be made:

Standard file attachments. These are not stored in the repository, but are references to files stored on your local machine or a network drive. These types of attachment may not be available to other users.

Shared file attachments. These attachments are stored in the repository and are available to all users with adequate rights. Double-clicking on one of these files opens it in the default editor for the file and, if any changes are made, they can be stored again in the repository.

Images

Images can be associated with any issue. This makes it easier to describe the particular issue, and can be referenced in the notes pages. Images and screenshots are stored (compressed) as part of the Issue, so are always available to users viewing the issue (although images are stored with the issue, they are only ever retrieved from the server when viewed). To add an image to an issue, select the Images page:

attachmentpage

Either click on the New hyperlink, or right-click and use the popup menu. Once an image is defined, it can be modified by clicking the Edit hyperlink.

Images can be pasted into the Edit Image dialog box.

History

The History page displays a history of the changes to the current Issue. The details on this page cannot be changed but are provided for information and reporting purposes:

history


Moving an Issue
By default, all new issues will appear in your In Tray folder. You can move issues into other folders simply by dragging the issue and dropping it onto the relevant folder. If the Folder is part of another Project, the Issue will automatically be moved into that project (access restrictions allowing).

You can also move issues by using Cut and Paste: Select the issue and select Edit / Cut from the main menu. The issue icon will change to reflect the state of the issue. Select the Folder you want to move the issue to, and select Edit / Paste from the main menu. The Issue will then be moved to the new Folder.

notes Note: Issues are copied to the clipboard in two formats. The first format is for internal use, but there is also a textual representation of the issue that can be copied into text-based applications. The text version in the clipboard is the XML representation of the Issue.

See Also: Duplicating an Issue


Duplicating an Issue
It is quite common to have a new issue that is similar to an existing one. In TC Tracker, you have the ability to duplicate an existing issue when creating a new one. This can save a certain amount of time when creating new Issues.

To duplicate an existing Issue, select the Issue in question and choose Edit / Copy from the main menu. You can then duplicate the issue in any Project by selecting the project and choosing Edit / Paste from the main menu.

When pasting an Issue, a new issue is created using the details of the issue that was copied. If the Issue is being duplicated (as opposed to being Moved), the History of the new issue is changed to reflect that it is a new Issue.

notes Note: Issues are copied to the clipboard in two formats. The first format is for internal use, but there is also a textual representation of the issue that can be copied into text-based applications. The text version in the clipboard is the XML representation of the Issue.


Defining a Query
With a large number of issues defined in a repository, it can be difficult to keep track of which issues are assigned to who, and what their current status is. Queries allow you to define any number of 'Views' of this information and quickly switch between these views.

Queries are easy to create and allow more pertinent information to be displayed when required. They can also be used as the basis of reports. To create a new Query, select Action / New / Query from the main menu, or click on the New Query button in the toolbar. The Query definition dialog box will be displayed:

query

The General page allows you to enter a Name and Description for the query as well as to specify whether it is Temporary, User, or Shared. The Query page allows you to define the query itself.

The actual fields of the issue are displayed in the top list, and the current query definition is displayed below. To add a field to the query, select the field and press the Add button:

queryline

The actual contents of the dialog depend on what type of field is being added, but full selection criteria can be specified for each field.

The And, Or, Not, and Brackets buttons can be used to define complex relationships between the various criteria entered.

Pressing the OK button will create the new query. Selecting a query in the main window causes the query to be executed against all issues in the repository and the results to be displayed in the List Pane.

The results of a query are fully editable, and changes that affect the query results will cause the query to be re executed.

notes Note: if another user has created or modified an object since you have started TC Tracker, the new objects will not show up on your system until you do a refresh. To refresh the local cache, press F5, or select View / Refresh from the main menu.


Viewing a Report
Reports basically give you the ability to print out the information contained in the TC Tracker repository. Reports can be based either on the current selection, or the results of a query. To view a report, select the relevant objects in the main Window and select Action / Report from the main menu. This displays the report dialog for specification of the information you want listed:

reportselection

You have a choice of either a page style report containing most of the information associated with the issue, or a list report which displays the main fields in a basic list report.

The reports are output as HTML using the selected Template, and can either be displayed and printed using the internal viewer, or can be saved to file for accessing later.

Saving a report to a file allows the report to be Emailed or sent to other users who may not have TC Tracker installed. The reports will be stored in HTML format and can be viewed by most internet browsers.

See Also: Exporting Issues, Sending via Email


Exporting Issues (XML)
In TC Tracker, you can export Issues to an external file in XML format. This allows you to use more complex reporting tools that can read and report on XML data, or to send details of the issues to other people who may not have TC Tracker installed.

To export an Issue, Query, Folder, or Project to an XML file, select the relevant objects and select Action / Export to XML from the main menu. You will be prompted to enter a filename and the selection will then be exported.

notes Note: the date values are exported in Local time.

See Also: Viewing a Report, Sending via Email, Importing Issues


Importing Issues (XML)
Issues can be imported from XML files provided the field names match those exported by the export utility.

To import Issues previously exported, or generated by another application, select Tools/Import Issues from XML... from the main menu. You will be prompted to select the XML file and the following dialog will be displayed:

import

Create Projects as required

If this option is checked, any projects defined in any of the imported Issues will automatically be created if they do not already exist. If this option is not checked, and any of the Issues refer to projects that do not already exist in the repository, the validation of the XML will fail.

Create Users as required

If this option is checked, any users defined in any of the imported Issues will automatically be created if they do not already exist. If this option is not checked, and any of the Issues refer to users that do not already exist in the repository, the validation of the XML will fail. If a user is created by the import routine, it will have the default password.

Import all Issues as New

If this option is checked, all issues in the XML file will be created in the repository. This is the same as if all Issues in the XML file have a blank ID.

Once the OK button is pressed, the import will begin.

If an Issue in the XML file has a blank ID, a new Issue will be created in the repository. If it has a valid ID, the import routine will try and match the Issue with an Issue existing in the repository.


Sending Issues via Email
There are several methods of sending Issues to other users who may not have TC Tracker installed, or to the users who reported the issues in the first place.

notes Note: the Default Email capability in TC Tracker is based around MAPI and a MAPI compliant Email package must be installed for it to work. Another Email protocol (SMTP) is supported and can be installed using the Options Dialog. If neither of these protocols suit, you can still send issues by exporting or reporting to a file and attaching the generated file to an Email using the Email package.
For more information on sending Email via SMTP, see the topic: Configuring Tracker to support SMTP.

The easiest method, if you have entered a username and email address in the Requested By fields of the Issue, is to simply click on the special hyperlink created for that issue:

userlink
When you click on the username, the current issue will be exported to an HTML file and attached to an E-Mail addressed to that user. Before the mail is sent, the mail definition form will be displayed to allow you to modify it:

email

Pressing the OK button will generate the final Email.

Alternatively, you can select multiple Issues and other objects and Email them either as XML or HTML documents to other users. To do this, select the relevant objects and choose Action / Send via Email / as XML... or Action / Send via Email / as HTML...

The selected objects will be extracted to the relevant format and attached to an Email for sending.

See Also: Reports, Exporting Issues


Configuring Tracker to support SMTP
By default, Tracker supports sending of Email through MAPI. If required, you can also send mail directly via SMTP if you know your SMTP settings. Using this option allows you to format the contents of the Email message using HTML, and include associated images in the message.

To install SMTP support, select Tools/Options from the main menu and select the E-Mail page:

smtp

Click on the Select Mail DLL button and choose the SMTPMail.dll file from the Tracker installation folder. SMTP support requires certain information to work. Clicking on the Configure E-Mail Settings button allows you to configure SMTP support:

smtpsettings

Use this dialog to configure the support for SMTP send of Email

Host
This is the hostname of your SMTP server

User Name/Password
Enter the username and password you use to access your Email via SMTP

Return Address
This is the return address associated with all EMails you send through Tracker.

Use HTML in message body
If you check this option, the details of the Issue you are sending, including any associated Images, will be included as the message body of all emails sent.

See Also: Sending Issues via Email


User defined fields
Tracker comes as standard with the most commonly used fields for Issue tracking. However, these may not sufficient for all organisations. User defined fields allow Admin users to define any number of additional fields that can be used to store extra information against issues.

Combined with Templates and Queries, this allows you to store and display information however you like. There are four basic field types that can be added:

String

String fields can be used to store any amount of textual information against an issue, or can be restricted to a set of options. You can specify a maximum size of the field, or allow unlimited text. A text field could be used to enter keywords which could be combined with a query to create a rudimentary helpdesk.

Date

Date fields can be used to store additional dates against issues, for example the date a client was notified of an update, etc. Date entry is via the calendar popup, and blank dates can aslo be stored.

Integer

Integer fields can be used to store integer data against issues, for example the number of times a particular issue has been reported.

Number

Stores floating point data against Issues.

Fields can be marked as Required. If a field is marked as required, the user must enter a value or select an option before the changes to the Issue can be saved. For all types of field, you also have the option of adding it to the History list. This will record all changes to that particular field, and who made the change.

To add and modify fields you need to be logged in as an Admin user and select Tools / Options... / Fields to display the following dialog box:

fieldgeneral

In addition to the type of field, you can also specify the Scope:

fieldscope

The Scope page allows you to define which type of Issue that you want the Field to be associated with. By default, all new field definitions are associated with all issue types.

For more information on the meaning of the options, open the dialog in TC Tracker and click on the question button.


Templates
Templates allow you to create custom screen layouts that can be applied to individual issues, thus allowing you to completely define what is displayed on screen. In addition, report templates allow you to create additional reports and specify different layouts for these reports.

Templates use plain HTML to define the layout and special fields that are replaced with actual field values when displayed or printed. For screen layouts, there are also special link formats that allow you to insert links to individual field editors. Templates have full access to User Defined Fields.

Maintenance of templates is carried out via the Tools / Options... / Templates menu option and is available only to Admin users. The built-in editor is used to modify template sections but, since it is not wysiwyg, you may find it easier to use an external editor and paste the results into the built-in editor.

There are three types of template:

Screen

This type of template allows you to define the layout of the visual elements of the pages displayed in the Detail Pane of the main screen. This template type is subdivided into separate sections representing the individual tabs:

· Bug Report
· Feature Request
· Enhancements
· Tasks
· Work Requests
· Notes (used for all notes fields)
· Images
· No Images (when no images are associated)
· History
Header
Odd
Even
Footer
· Criteria (for Queries)

As well as allowing %fieldname% keywords which are expanded to the actual value of the field at runtime, screen templates allow links to be inserted to the built-in field editors. These links take the form:

<a href="FieldEdit:FieldName,%25id%25">DisplayText</a>

where FieldName is the name of the field, DisplayText is what the user sees, and %25id%25 is replaced with the current Issue ID. In the built-in Html editor, all the valid Links and Values are available from the toolbar and the context menu and the relevant Html will automatically be inserted for the relevant fields.

When a user clicks on one of these fields, the default editor for that field type is displayed to allow users to modify the value assigned to it.

Page Report

Page Report templates are similar to the Screen templates in that they are separated into similar sections:

· Header
· Bug Report
· Feature Request
· Enhancements
· Tasks
· Work Requests
· Notes (used for all notes fields)
· Attachments
Header
Odd
Even
Footer
· History
Header
Odd
Even
Footer
· Footer

Note that, with page reports, the Header section must start with the <body> tag and the Footer section must end with the </body> tag. The sections in between should not contain either of these tags.

Page Reports can use the <page> tag to force a new page when printing. This tag has no effect when displaying the report.

List Report

The List Report templates can be used to report on the fields common to Bug Reports and Feature Requests. For this reason they have the following section:

· Issue ( Bug/Feature )
Header
Odd
Even
Footer

Neither the Page Report or the List Report have access to the <a href links since they are designed for printed output or use outside TC Tracker.


Exporting Templates
Templates are used for formatting on-screen and report layouts. There is a facility in TC Tracker to allow exporting of Templates so that they can be imported into other repositories.

When a template is exported to a file the full definition of that template is exported, including the definitions of any User Defined Fields that the templates refer to. This feature means that, if you have defined templates and additional fields to fit a particular requirement, e.g. a HelpDesk application, you can easily redistribute that template, along with all the necessary field definitions, to other users of TC Tracker.

To export a template, select Tools / Options / Templates from the main menu, select the relevant template, right-click to display the context menu, and select Export. You will be prompted to enter the filename and the template will be stored.

notes By default, exported templates will be stored in a file with the extension .tkt


Importing Templates
The ability to export and import Templates allows you to transfer templates between individual repositories and organisations. When you import a template, the User Defined Field definitions required by that template are also imported.

To import a template, select Tools / Options / Templates from the main menu, right-click to display the context menu, and select Import. You will be prompted to select the template filename and the template will be imported.

notes By default, exported templates will be stored in a file with the extension .tkt


Login
The Login Dialog box is displayed when you first log in to Team Coherence. By default, Team Coherence remembers your Username and Password for subsequent logins.

To change the username you use to login to Team Coherence, select Tools / Login as Different User... from the Version Manager main menu.

question Click What's This? Help in the dialog box for field definitions.

notes By default, there is one user created when Team Coherence is first installed. This user has full access to all functions. The username is supervisor with the default password of password. This user cannot be deleted, but it is advisable to change the password as soon as possible to prevent unauthorised modification of your files.


Change Password
This dialog is displayed when you select Tools / Change password... from the main menu in TC Tracker.

To change your password, enter your new password in the two edit boxes and press the OK button. If you were added to Team Coherence as a new user, your initial password will be set to password. Obviously, one of the first things you should do after starting Team Coherence for the first time is change your password.

question Click What's This? Help in the dialog box for field definitions.

See also: Users and Groups


Change Date Field
This dialog box is displayed when you click on an edit hyperlink for a date-type field and is used to enter or select a date value to assign to that field.

question Click What's This? Help in the dialog box for field definitions.

See also: Issues


Change Value
This dialog box is displayed when you click on an edit hyperlink for a String or Numeric field and is used to enter a value to assign to that field.

question Click What's This? Help in the dialog box for field definitions.

See also: Issues


Change Selection Field
This dialog box is displayed when you click on an edit hyperlink for a list-type field and allows you to select a value from a predefined list to assign to that field.

question Click What's This? Help in the dialog box for field definitions.

See also: Issues


Change Request Field
This dialog box is displayed when you click on the edit hyperlink for the Requested By field and allows you to enter a Name and E-Mail address for the person.

question Click What's This? Help in the dialog box for field definitions.


Text Editor
This dialog box is displayed when you edit one of the text fields associated with an Issue, or when modifying a Template. You can enter either plain text into this field, or can use HTML to add tables, highlight text, etc.

You can preview how the text will be displayed by selecting the HTML Preview page of this dialog.


Template Editor
The Template Editor allows you to modify the sections of a template. Templates allow you to define how Screen and Reports are displayed and are created using simple HTML.

This screen shows a preview of the currently selected template section and you can use the buttons in the toolbar to modify the Html used to create each section. In addition, for reports that are exported:

CSS - This is the Cascading Style Sheet that will be embedded in the output reports.
Pre <HTML> - The HTML, JavaScript, etc, you enter here will be inserted prior to the <HTML> tag in the output reports.
<HEAD> - The HTML, JavaScript, etc, you enter here will be inserted in the <HEAD> tag before the CSS
Post <HTML> - The HTML, JavaScript, etc, you enter here will be inserted after the final </HTML> tag in the output reports.

notes The CSS, Pre <HTML>, <HEAD>, and Post <HTML> buttons apply to the entire template and not simply the section you are editing.

To access this form, select Tools / Options... / Templates from the main menu and select a template to edit.


Group Properties
This dialog box is displayed when you select a Group in the User Manager and click on Properties...

It is used to describe the Group and to allow addition of members to the group.

question Click What's This? Help in the dialog box for field definitions.

See also: Users and Groups


Mixed Properties
This dialog is displayed when you view the properties of a selection of different types of object. It displays basic information about the contents of these objects.

question Click What's This? Help in the dialog box for field definitions.


Query Definition
This dialog allows you to modify an Query definition, or create a new one.

To create a new Query definition:

1. Select a Query Folder in the main window
2. Right-click to display the Context menu
3. Select New / Query...

To modify an existing query:

1. Select the Query in the main form
2. Right-click to display the Context menu
3. Select Properties...

question Click What's This? Help in the dialog box for field definitions.

See also: Queries, Defining a Query


Issue Properties
This dialog allows you to modify an existing Issue, or create a new one.

To create a new Issue:

1. Select a Project in the main window
2. Right-click to display the Context menu
3. Select New / Bug Report... or New / Feature Request...

To modify an existing Issue:

1. Select the Issue in the main form
2. Right-click to display the Context menu
3. Select Properties...

question Click What's This? Help in the dialog box for field definitions.

See also: Issues, Creating an Issue, Updating an Issue


Project Properties
The Project Property Sheet allows you to modify the basic properties and security attributes of a project. To access this property sheet:

1. Select the Project in the main window
2. Right-click to display the Context menu
3. Select Properties...

question Click What's This? Help in the dialog box for field definitions.

The Name property of the project is the name that is used in TC Tracker when displaying this project.

The security page allows you to define which users and groups are allowed to modify the properties of the Project, and also who is allowed to modify the Issues stored within the project.


Query Line
This dialog is used to allow modification of individual lines in a Query. The contents of this dialog are dependent on the type of field the line represents.

question Click What's This? Help in the dialog box for field definitions.


Select Users and Groups
This dialog is displayed whenever you need to select a list of Users or Groups, most commonly when defining security settings or defining Groups.

question Click What's This? Help in the dialog box for field definitions.


User Settings
This dialog allows you to set local options such as which Panes to display, what date format to use, etc. In addition, Admin users can use this dialog to define the selection lists and default values for certain Issue fields.

To access this dialog:

1. Startup Version Manager
2. Select Tools / Options...

question Click What's This? Help in the dialog box for field definitions.


Status Dialog
This dialog shows the status of any action you take in TC Tracker. It lists all objects involved in the action, along with the status after the action is carried out.

question Click What's This? Help in the dialog box for field definitions.


Update Image
This dialog allows you to modify the properties of an Image associated with an Issue. Images can either be pasted from the clipboard, or can be loaded from file.

You can preview how the image will be displayed by selecting the HTML Preview page on this dialog.

question Click What's This? Help in the dialog box for field definitions.


User Info
This dialog displays the properties of a User. If you want to modify user info, see the section on Users and Groups. To send an E-Mail to this user, press the E-Mail button.

question Click What's This? Help in the dialog box for field definitions.


User Properties
This dialog is displayed when you modify a User in the User Manager. Use this dialog to specify the properties of a user, including the E-Mail address.

question Click What's This? Help in the dialog box for field definitions.


Field Editor
This dialog is displayed when you edit a User-defined field (UDF) in Tools / Options.... Use it to define additional fields that can be associated with Issues, and to redefine existing UDFs. In addition to specifying the type of data stored by the field, you can specify a default value and a list of options for the user to select from.

This dialog is only available to Admin users.

question Click What's This? Help in the dialog box for field definitions.

See also: Issues


New Template
This dialog is displayed when you create a new Template. It allows you to specify the Name and Description of the template, and to specify the template you want to use as the basis for the new one.

This dialog is only available to Admin users.

question Click What's This? Help in the dialog box for field definitions.


.topic 1000
TC Tracker is an Issue tracking addin to the popular Team Coherence Software Configuration Management (SCM) tool. TC Tracker integrates tightly with Team Coherence to add issue tracking and to link issues with file archives.

Using TC Tracker, you can log and control the progress of various types of Issues and maintain a history of how the issues progress. The tight integration with Team Coherence means that Issues can be associated with project files, and vice versa.

This help file contains all the information you should need to guide you while using TC Tracker.

Guide to TC Tracker Documentation

Overview
What is TC Tracker
How to Buy TC Tracker
End User License Agreement

Getting Started
Objects Maintained by TC Tracker
Using TC Tracker

Tasks

.topic 1001
Bold Italics
Indicates button presses or menu selections required for an action

Forward Slash /
Separates menus and their associated commands. For example Action / Checkin means select Checkin from the Actions menu

  Block Quotation
Emphasizes important information and useful hints

UPPERCASE
Indicates keys or key combinations you can use. For example, press the ENTER key

.topic 1002
Click
Point to an object with the mouse pointer and press the left mouse button.

Double-click
Press the left mouse button twice in quick succession.

Right-click
Press the right mouse button

Drag
Press and hold the left mouse button while dragging the selected object(s) to another part of the Screen.

SHIFT+Click
Press and hold the SHIFT key and make a selection, allowing you to select a series of objects.

CTRL+Click
Press and hold the CTRL key while clicking on objects, allowing you to select objects randomly.

CTRL+Drag
Press and hold the CTRL key while dragging objects.

.topic 1003
TC Tracker is an Issue tracking tool designed specifically to integrate with the popular SCM tool, Team Coherence. TC Tracker allows you to track the progress of Issues (Bug Reports, Feature Requests, Enhancements, Tasks, and Work Requests) as they pass through various stages to eventual completion.

A large amount of information can be stored against Issues, including images and screenshots. User definable fields per Issue type and HTML Templates for screen layout mean that the amount of information you store, and how it is displayed is entirely configurable. In addition, tight integration with Team Coherence allows you to associate actual source files and documents with individual issues.

TC Tracker has been designed with the future in mind. It is easily extendable through addins and has a modular architecture to allow for future enhancement.

.topic 1004
Team Coherence Server is the core of the Team Coherence suite of configuration management tools, and is a required component of TC Tracker. It provides secure access to the data managed by Team Coherence, and its addins, either through a Local Area Network, or remotely through a WAN or the Internet.

Team Coherence Server can be run as a Service under Windows NT and 2000, or as a standalone application under Windows 9X and multiple instances of the server can be run on the same machine. Each instance of the server represents a Team Coherence Repository.

Information on installing and running the server can be found in the server documentation.

.topic 1005
You can order TC Tracker online directly from our home page, or through one of our many resellers

Home page

    www.teamcoherence.com

Email support

    support@teamcoherence.com

Post

    MCN Software
    6 Suttie Way
    Bridge of Allan
    FK9 4NQ
    Scotland

Fax

    +44 (0)1786 834908

.topic 1006
The TC Tracker licensing model is not concurrent. That is: you must have as many licenses installed as you have users that can login to an instance of the Team Coherence Server.

You can have the same licenses installed on any number of servers within your organisation, but each user must be accounted for in the total number of individual licenses.

See also: License Agreement

.topic 1007
  See also: A word about Licensing

Copyright Notice

TC Tracker is Copyright © 1995-2010 MCN Software. All Rights Reserved.

License Agreement

GRANT.  Subject to the provisions contained herein, MCN Software, (herein "MCN") hereby grants you a non-exclusive 45-day license to use its accompanying proprietary software ("Software"),  described as TC Tracker, free of charge for the sole purpose of evaluating whether to purchase an ongoing license to the Software.

You may evaluate the software for not more than 45 days.  At the end of 45 days you must purchase a license in order to continue using the Software. If you do not fit within the description above, a license fee is due to MCN and no license is granted herein. If you are using an evaluation version of the Software, you will not be entitled to technical support.

SOFTWARE AND DOCUMENTATION.  MCN shall furnish the Software to you electronically or on media in machine-readable object code form.  If you receive your first copy of the Software electronically, and a second copy on media, the second copy may be used for backup and archive purposes only.  This license does not grant you any right to any enhancement or update to the Software and Documentation. Enhancements and updates, if available, may be obtained by you at MCN's then-current standard pricing, terms, and conditions.

RESTRICTED USE.  You may not lend, rent, lease or otherwise transfer the Software.  The Software is protected by the copyright laws of the United Kingdom and international copyright treaties.  This license is valid for only one user on only one computer.

ACADEMIC LICENSE.  If you purchased a license as part of the academic license scheme, use of the Software is restricted to academic projects and may not be used for any commercial purpose whatsoever.
TITLE.  Title, ownership rights, and intellectual property rights in and to the Software and Documentation shall remain in MCN and/or its suppliers.  This Agreement does not include the right to copy or sublicense the Software and is personal to you and therefore may not be assigned (by operation of law or otherwise) or transferred without the prior written consent of MCN.  You acknowledge that the Software in source code form remains a confidential trade secret of MCN and/or its suppliers and therefore you agree not to attempt to decipher, decompile, disassemble or reverse engineer the Software or allow others to do so, except to the extent applicable laws specifically prohibit such restriction.  You further agree not to modify or create derivative works of the Software.

CONTENT.  Title, ownership rights, and intellectual property rights in and to the content accessed through the Software is the property of the applicable content owner and may be protected by applicable copyright or other law.  This License gives you no rights to such content.

DISCLAIMER OF WARRANTY.  The Software is provided on an "AS IS" basis, without warranty of any kind, including without limitation the warranties of merchantability, fitness for a particular purpose and non-infringement.  The entire risk as to the quality and performance of the Software is borne by you.

Should the Software prove defective, you and not MCN assume the entire cost of any service and repair.
This disclaimer of warranty constitutes an essential part of the agreement.  SOME STATES DO NOT ALLOW EXCLUSIONS OF AN IMPLIED WARRANTY, SO THIS DISCLAIMER MAY NOT APPLY TO YOU AND YOU MAY HAVE OTHER LEGAL RIGHTS THAT VARY FROM STATE TO STATE OR BY JURISDICTION.

LIMITATION OF LIABILITY.  UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, TORT, CONTRACT, OR OTHERWISE, SHALL MCN OR ITS SUPPLIERS OR RESELLERS BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES.  IN NO EVENT WILL MCN BE LIABLE FOR ANY DAMAGES IN EXCESS OFMCN'S LIST PRICE FOR A LICENSE TO THE SOFTWARE, EVEN IF MCN SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES, OR FOR ANY CLAIM BY ANY OTHER PARTY.  THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.  FURTHERMORE, SOME STATES DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS LIMITATION AND EXCLUSION MAY NOT APPLY TO YOU.

TERMINATION.  Either party may terminate this Agreement immediately in the event of default by the other party.  Upon any termination of this Agreement, you shall immediately discontinue the use of the Software and shall within ten (10) days return to MCN all copies of the Software and Documentation.  You may also terminate this Agreement at any time by destroying the Software and Documentation and all copies thereof.  Your obligations to pay accrued charges and fees shall survive any termination of this Agreement.

MISCELLANEOUS.  This Agreement represents the complete and exclusive statement of the agreements concerning this license between the parties and supersedes all prior agreements and representations between them. It may be amended only by a writing executed by both parties.  THE ACCEPTANCE OF ANY PURCHASE ORDER PLACED BY YOU IS EXPRESSLY MADE CONDITIONAL ON YOUR ASSENT TO THE TERMS SET FORTH HEREIN, AND MCN AGREES TO FURNISH THE SOFTWARE AND DOCUMENTATION ONLY UPON THESE TERMS AND NOT THOSE CONTAINED IN YOUR PURCHASE ORDER.  If any provision of this Agreement is held to be unenforceable for any reason, such provision shall be reformed only to the extent necessary to make it enforceable, and such decision shall not affect the enforceability (i) of such provision under other circumstances or (ii) of the remaining provisions hereof under all circumstances.  Headings shall not be considered in interpreting this Agreement.  This Agreement shall be governed by and construed under United Kingdom law. This Agreement will not be governed by the United Nations Convention of Contracts for the International Sale of Goods, the application of which is hereby expressly excluded.

Contractor/manufacturer is MCN Software

Contact:
MCN Software
www.teamcoherence.com
info@teamcoherence.com

.topic 1008
If you are using TC-Tracker as an addin to Team Coherence, then you should already be configured. If you have not yet configured a repository, or are just browsing the documentation, please read the Team Coherence and Team Coherence Server documentation to find out how to create a new repository.

If you are using TC Tracker as a standalone tool, please refer to the following sections for information on connecting to a repository.

Connecting to a Repository

The following topics describe the objects maintained by TC Tracker, and a bit about the user interface

Objects Maintained by TC Tracker
Using TC Tracker

An additional important topic you should check out before using TC Tracker in anger is the topic about Users and Groups. This is covered in the Team Coherence documentation, but is also listed here for reference.

.topic 7263
In Team Coherence, a repository is simply a central location, available to all interested users, where the files and issues maintained by Team Coherence are stored. Each repository is controlled by a Server application that contains all the core logic for the Version Control and Issue Tracking functionality.

To all intents and purposes, and as far as TC Tracker is concerned, the repository can be considered a black box that is used to manage the following items:

Projects
Issues
Queries

Connection to a repository is via standard TCP/IP so the server could, if necessary, reside on the other side of the planet and be accessed using a standard Internet connection.

.topic 1009
In TC Tracker, a Project is simply used to group related Issues together and to define which users or groups can carry out specific actions. A repository can contain any number of projects, but each has to have a unique name.

  Note that, by default, only Issues assigned to you will be displayed under Projects and Folders. You can also view issues from all users (see the Show Issues for All Users checkbox under Tools/Options/General).

Security in TC Tracker is defined at the Project level. Access to the security options is via the Project Properties dialog box (select the Project and choose Action / Properties from the main menu). The various security levels apply to all Issues contained by the project:

Access - defines which users can specify security privileges
Delete - defines which users can delete an issue
Modify - defines which users can modify an issue
Can Complete - defines which users can complete an issue
Can Verify - defines which users can verify an issue
Can View - defines which users can view the issues contained by this project.

  Note that Admin users, and Supervisor, have full access to all issues regardless of these settings.

A Project can contain any number of Folders.

.topic 1118
For every Project, there are one or more folders. Folders are simply an organisational tool used to group issues, for example, by their status or importance. Each user can define any number of folders and use them for any purpose.

It is important to note that folders are created on a per-User basis and are an organisational tool only. For this reason, different users logging into the system will only see the folders defined by themselves and other users may see a completely different folder structure for the same Project.

The main folder contained by a Project is called the In Tray. The In Tray contains all issues that are assigned to you and have not yet been moved to other folders. All new issues will initially be found in the In Tray.

  Note that, by default, only Issues assigned to you will be displayed under Projects and Folders. You can also view issues from all users (see the Show Issues for All Users checkbox under Tools/Options/General). In this case, the In Tray will show all issues from all users unless they have been moved into another folder.

.topic 1010
In TC Tracker, an Issue refers to either a Bug Report, Feature Request, Enhancement, Task, Work Request, Information Request, Change Request, Requirement, or Idea. All contain very similar information, but the distinction makes it easier to visually distinguish between the two in our user interface. Although the field descriptions may differ for each type, the data stored is identical in all cases.

In most cases, the options available for any key field are selected from a predefined list (configurable). Free-form fields allow you to enter plain text, or text formatted using HTML.

All changes to key fields are recorded in a History list which cannot be modified. This list provides valuable information about the progress of the Issue.

The information stored for Issues includes:

Area (List)
This is the functional area within the project that this Issue references.

Description
Basic description of the Issue. Displayed in the list view.

Origination

The Origination section defines how the issue was raised, by who, and what priority was assigned to it.

Submitted by
Displays the name of the user that created the Issue (cannot be modified)

Submitted on
Displays the date that the Issue was created (cannot be modified)

Priority (List)
Specifies the priority of the Issue.

Complete by
Specifies the date that the issue should be completed by. If an issue is unresolved after this date, it is highlighted in the listview.

Requested by/Reported by
Freeform text that allows you to define who requested the change or reported the bug.

Severity (Bugs)(List)
Specifies how serious the reported Bug is.

Reported in Version (Bugs)(List)
Defines the Version of the product that the issue was reported in. If Tracker is integrated with Team Coherence, a list of existing Version Labels will be displayed.

Resolution

The Resolution section describes the current and final status of the Issue.

Assigned to (List)
Shows who the Issue is currently assigned to.

Current Status (List)
Specifies the current status of the Issue.

Completed
Specified the date that the Issue was marked as 'Completed'. This field cannot be modified, but changing the Status to another value (other than 'Verified') will clear this date. The change will be recorded in the History.

Completed By (List)
Specifies the User that marked this issue as 'Completed'. Setting this field, by whatever method, will set the Completed date value.

Verified
Specified the date that the Issue was marked as 'Verified'. This field cannot be modified, but changing the Status to another value will clear this date. The change will be recorded in the History.

Verified By (List)
Specifies the User that marked this issue as 'Verified'. Setting this field, by whatever method, will set the Verified date value.

Implemented in Version (List)
Defines the Version of the product that the issue was implemented in. If Tracker is integrated with Team Coherence, a list of existing Version Labels will be displayed.

Closure Category (Bugs) (List)
Specifies a category that can be used for reporting.

Request / Report

Free-form notes about why the issue was raised. This field can be either plain text, or can be formatted using HTML to include tables, different fonts, and colour.

Implementation Notes / Notes

More free-form notes to allow you to specify how the issue was implemented, or record any other information.

New Ideas / Other

More free-form notes to allow you to specify any new ideas that arose during the implementation or resolution of this issue. This field can be included in the page report.

Resolution

Yet another free-form note field. This one can be used to describe how the issue was resolved.

Attachments

This 'field' allows you to attach documents to the issue. In particular, it allows you to directly link an issue to  one or more Team Coherence archives. Normal files, when associated with an Issue are not stored as part of the Issue, so avoid using local pathnames or these files may not be accessible to others. To make sure that all documents are accessible to others, archive them using Team Coherence before adding them. In this way, you also get a history of the changes to the documents.

Images

Images can be stored against an Issue. In most cases, a picture can better describe why an issue was raised than words. Images are stored as part of the issue, so are available to anybody who can view the Issue. Images can be pasted from the clipboard as well as being loaded from file. All images are compressed at the server-side.

History

The history 'field' displays all the changes made to key fields during the life of the Issue. The details cannot be modified and provide a valuable history of who did what in the resolution of th issue.

.topic 1011
With a large number of issues defined in a repository, it can be difficult to keep track of which issues are assigned to who, and what their current status is. Queries allow you to define any number of 'Views' of this information and quickly switch between these views.

Shared queries provide a way to define a set of standard queries that might be useful to all users connected to a repository, while User queries allow individual users to define their own. Temporary queries allow users to create queries for one-off tasks such as reporting, and are deleted when TC Tracker is shut down.

.topic 123456
Before you can start the TC Tracker client application you must tell Tracker the location of a valid connection to a running repository. This can be done using the Connection Manager.

Note that this only applies to the standalone version of Tracker. With the addin for Team Coherence, connection is done through Version Manager.

To start the connection manager select Start / Programs / MCN / Team Coherence / Connection Manager

The Connection Manager displays a list of known connections to repositories. If you want this dialog to be displayed each time you start Team Coherence, make sure that Prompt at startup is checked. It can also be displayed while running Version Manager by selecting Tools / Connection Manager... from the main menu.

To add a new connection, click on the Add button. To modify an existing connection, click on the Modify button. This will display the properties dialog box for the selected or new connection:

The Connection Properties dialog box allows you to specify the connection parameters to an existing repository. As well as a Name and Description for the connection, used to identify the connection, you must specify:

Host
The host is the address of the computer that is running the instance of the Team Coherence Server you wish to connect to. You can either use the HostName for the machine, or can specify a valid IP address.

Port
The Port is the port that the instance of the Team Coherence Server you are connecting to is listening on. This information will be available from the person responsible for maintaining the server.

Dialup Networking
If you are accessing a remote repository via a dialup connection you can select an existing DUN connection to use from the list. You also need to enter a valid username and password for that connection.

Security
If the Team Coherence Server you are connecting to has had an additional security key assigned to it, you will also need to enter that key in the Security page. The key should be supplied by your system administrator.

Note that this security key is only required if a key has been applied to the server.

Once the parameters have been set for this connection, you can use the Test Connection button to check that the connection is valid. This will try and connect to the server and wait for a valid reply.

.topic 10000
The main visual element in TC Tracker allows you to get an overall view of the Issues contained in a repository. It is also where most of the administrative tasks are carried out.

To access TC Tracker, use the link under the Windows Start menu and switch to the TC Tracker window.

The main TC Tracker window is split into four areas. The actual contents of these areas may vary based on the current selection.

1) Main Menu / Toolbar
The main menu and toolbar give full access to the features of TC Tracker. Some menu options are dependent on the current selection, and the Action menu is also available as a context menu when right-clicking in some of the other windows.

2) Folder Pane
The Folder Pane is used to display the Projects and Queries contained in a Repository. Right-clicking on any object in this pane will display a context menu based on the current selection.

Selecting an object in this pane will cause the Details Pane to update based on this selection.

3) List Pane
The List pane displays the list of objects directly contained by the object selected in the Folder Pane. Depending on the current selection, this is normally a list of the Issues or Queries contained or referenced by this object. Right-clicking on any object in this pane will display a context menu based on the current selection.

Selecting an object, or multiple objects, in this pane will cause the Detail and pane to update based on this selection.

4) Detail Pane
The detail pane displays details for the currently selected object in the Folder or List pane, depending on which is currently active. It contains a number of pages based on the current selection and may contain pages created by addin applications.

.topic 1013
This section will outline how to carry out some common tasks in TC Tracker. This is by no means an exhaustive list of the features available in TC Tracker, but is meant to help get you up to speed quickly.

.topic 1014
One of the first things to do before defining security is to group users into logical groups according to their function. User management in TC Tracker is carried out using the User Manager dialog. This is accessible to ADMIN users by selecting Tools/User Manager…:

This dialog is split into two pages Users (above) and Groups. The Users page lists all users defined for the current repository as well as the groups they belong to. To modify an existing User, select the user and click the Properties button. To add a user, click the New button. This displays the User Properties dialog box:

The Name property is the name that the user logs in under. In addition, a valid password is required. If you change the password for a user, they will need to enter the new password the next time they log in.

The Groups page of the User Manager allows you to organize users into logical groups based on their function:

Groups can contain other groups as well as users, so care is required when defining the members of a group. To modify an existing group, select the group and click the Properties button. To create a new group and assign users to it, click on the New button:

To add and remove members of a group, click the Select button. This displays the Select Users dialog that is also used elsewhere in TC Tracker when defining security:

To add a user or group to the group, select the item in the upper list and click the Add button. To remove an item, select the item in the lower list and click the Remove button. If you are adding a group, Team Coherence will check for recursion (i.e. Group1 containing Group2 containing Group1) and will disallow the action.

When you have finished selecting the members of the group, press the OK button to save your changes.

.topic 1015
Before you can add Issues to TC Tracker, you need to create at least one Project. Projects allow you to organise issues into logical groups. In addition, Projects allow you to specify which users have what access to the issues contained within the project.

To create a new Project, select Action / New / Project from the main menu, or press the New Project button in the toolbar. When prompted, enter a name for the project. This has to be unique within the repository.

The project is created with default security settings based on the current user. To modify the security settings, select the project and select Action / Properties from the main menu. Security settings are discussed under Projects.

  If another user has created or modified an object since you have started TC Tracker, the new settings will not show up on your system until you do a refresh. To refresh the local cache, press F5, or select View / Refresh from the main menu.

.topic 1016
Issues are the core element in TC Tracker and are used to maintain all the information associated with Bug Reports and Feature Requests. Once an issue is created all changes to the values of the key fields maintained by the issue are tracked and reported in the History report.

To create a new Issue, select Action / New / <Issue Type> from the main menu, or click on the relevant button in the toolbar.

The following dialog is displayed:

Most of the important fields will already be filled in with (configurable) default values, so the initial description of the issue is all that is required.

Pressing the OK button will validate the information and create the new issue.

.topic 1017
There are several ways to update an existing issue. TC Tracker makes extensive use of HTML to make access to Issues and related information as easy as possible.

  Note: if another user has created or modified an object since you have started TC Tracker, the new settings will not show up on your system until you do a refresh. To refresh the local cache, press F5, or select View / Refresh from the main menu.

On the details screen, the following view is displayed when an issue is selected:

Moving the mouse over the description of any editable field and clicking it will pop up an editor for that particular field.

An issue can also be edited using it's property sheet. The Issue Properties dialog box can be accessed by selecting the relevant issue and choosing Action / Properties from the main menu.

The various notes fields can be edited by selecting the relevant page in the above view and either clicking on the Properties hyperlink, or double-clicking on the page itself.

Attachments

The Attachments page allows you to add and manipulate references to either standard files, or Team Coherence archives:

To add a Team Coherence Archive to the current Issue select Action / Add / TC Archive from the main menu. This will display a selection dialog to allow you to select the relevant archives.

Once associated with the Issue, Issue properties are available from the Check In, Check Out and Properties dialog boxes of Team Coherence. In addition, the standard Check In, Check Out, Get and Properties menu options and tool buttons are available for the selected archives within TC Tracker.

Two other types of attachment can be made:

Standard file attachments. These are not stored in the repository, but are references to files stored on your local machine or a network drive. These types of attachment may not be available to other users.

Shared file attachments. These attachments are stored in the repository and are available to all users with adequate rights. Double-clicking on one of these files opens it in the default editor for the file and, if any changes are made, they can be stored again in the repository.

Images

Images can be associated with any issue. This makes it easier to describe the particular issue, and can be referenced in the notes pages. Images and screenshots are stored (compressed) as part of the Issue, so are always available to users viewing the issue (although images are stored with the issue, they are only ever retrieved from the server when viewed). To add an image to an issue, select the Images page:

Either click on the New hyperlink, or right-click and use the popup menu. Once an image is defined, it can be modified by clicking the Edit hyperlink.

Images can be pasted into the Edit Image dialog box.

History

The History page displays a history of the changes to the current Issue. The details on this page cannot be changed but are provided for information and reporting purposes:

.topic 1127
By default, all new issues will appear in your In Tray folder. You can move issues into other folders simply by dragging the issue and dropping it onto the relevant folder. If the Folder is part of another Project, the Issue will automatically be moved into that project (access restrictions allowing).

You can also move issues by using Cut and Paste: Select the issue and select Edit / Cut from the main menu. The issue icon will change to reflect the state of the issue. Select the Folder you want to move the issue to, and select Edit / Paste from the main menu. The Issue will then be moved to the new Folder.

  Note: Issues are copied to the clipboard in two formats. The first format is for internal use, but there is also a textual representation of the issue that can be copied into text-based applications. The text version in the clipboard is the XML representation of the Issue.

See Also: Duplicating an Issue

.topic 1128
It is quite common to have a new issue that is similar to an existing one. In TC Tracker, you have the ability to duplicate an existing issue when creating a new one. This can save a certain amount of time when creating new Issues.

To duplicate an existing Issue, select the Issue in question and choose Edit / Copy from the main menu. You can then duplicate the issue in any Project by selecting the project and choosing Edit / Paste from the main menu.

When pasting an Issue, a new issue is created using the details of the issue that was copied. If the Issue is being duplicated (as opposed to being Moved), the History of the new issue is changed to reflect that it is a new Issue.

  Note: Issues are copied to the clipboard in two formats. The first format is for internal use, but there is also a textual representation of the issue that can be copied into text-based applications. The text version in the clipboard is the XML representation of the Issue.

.topic 1018
With a large number of issues defined in a repository, it can be difficult to keep track of which issues are assigned to who, and what their current status is. Queries allow you to define any number of 'Views' of this information and quickly switch between these views.

Queries are easy to create and allow more pertinent information to be displayed when required. They can also be used as the basis of reports. To create a new Query, select Action / New / Query from the main menu, or click on the New Query button in the toolbar. The Query definition dialog box will be displayed:

The General page allows you to enter a Name and Description for the query as well as to specify whether it is Temporary, User, or Shared. The Query page allows you to define the query itself.

The actual fields of the issue are displayed in the top list, and the current query definition is displayed below. To add a field to the query, select the field and press the Add button:

The actual contents of the dialog depend on what type of field is being added, but full selection criteria can be specified for each field.

The And, Or, Not, and Brackets buttons can be used to define complex relationships between the various criteria entered.

Pressing the OK button will create the new query. Selecting a query in the main window causes the query to be executed against all issues in the repository and the results to be displayed in the List Pane.

The results of a query are fully editable, and changes that affect the query results will cause the query to be re executed.

  Note: if another user has created or modified an object since you have started TC Tracker, the new objects will not show up on your system until you do a refresh. To refresh the local cache, press F5, or select View / Refresh from the main menu.

.topic 1019
Reports basically give you the ability to print out the information contained in the TC Tracker repository. Reports can be based either on the current selection, or the results of a query. To view a report, select the relevant objects in the main Window and select Action / Report from the main menu. This displays the report dialog for specification of the information you want listed:

You have a choice of either a page style report containing most of the information associated with the issue, or a list report which displays the main fields in a basic list report.

The reports are output as HTML using the selected Template, and can either be displayed and printed using the internal viewer, or can be saved to file for accessing later.

Saving a report to a file allows the report to be Emailed or sent to other users who may not have TC Tracker installed. The reports will be stored in HTML format and can be viewed by most internet browsers.

See Also: Exporting Issues, Sending via Email

.topic 1129
In TC Tracker, you can export Issues to an external file in XML format. This allows you to use more complex reporting tools that can read and report on XML data, or to send details of the issues to other people who may not have TC Tracker installed.

To export an Issue, Query, Folder, or Project to an XML file, select the relevant objects and select Action / Export to XML from the main menu. You will be prompted to enter a filename and the selection will then be exported.

  Note: the date values are exported in Local time.

See Also: Viewing a Report, Sending via Email, Importing Issues

.topic 1145
Issues can be imported from XML files provided the field names match those exported by the export utility.

To import Issues previously exported, or generated by another application, select Tools/Import Issues from XML... from the main menu. You will be prompted to select the XML file and the following dialog will be displayed:

Create Projects as required

If this option is checked, any projects defined in any of the imported Issues will automatically be created if they do not already exist. If this option is not checked, and any of the Issues refer to projects that do not already exist in the repository, the validation of the XML will fail.

Create Users as required

If this option is checked, any users defined in any of the imported Issues will automatically be created if they do not already exist. If this option is not checked, and any of the Issues refer to users that do not already exist in the repository, the validation of the XML will fail. If a user is created by the import routine, it will have the default password.

Import all Issues as New

If this option is checked, all issues in the XML file will be created in the repository. This is the same as if all Issues in the XML file have a blank ID.

Once the OK button is pressed, the import will begin.

If an Issue in the XML file has a blank ID, a new Issue will be created in the repository. If it has a valid ID, the import routine will try and match the Issue with an Issue existing in the repository.

.topic 1130
There are several methods of sending Issues to other users who may not have TC Tracker installed, or to the users who reported the issues in the first place.

  Note: the Default Email capability in TC Tracker is based around MAPI and a MAPI compliant Email package must be installed for it to work. Another Email protocol (SMTP) is supported and can be installed using the Options Dialog. If neither of these protocols suit, you can still send issues by exporting or reporting to a file and attaching the generated file to an Email using the Email package.
For more information on sending Email via SMTP, see the topic: Configuring Tracker to support SMTP.

The easiest method, if you have entered a username and email address in the Requested By fields of the Issue, is to simply click on the special hyperlink created for that issue:

When you click on the username, the current issue will be exported to an HTML file and attached to an E-Mail addressed to that user. Before the mail is sent, the mail definition form will be displayed to allow you to modify it:

Pressing the OK button will generate the final Email.

Alternatively, you can select multiple Issues and other objects and Email them either as XML or HTML documents to other users. To do this, select the relevant objects and choose Action / Send via Email / as XML... or Action / Send via Email / as HTML...

The selected objects will be extracted to the relevant format and attached to an Email for sending.

See Also: Reports, Exporting Issues

.topic 1151
By default, Tracker supports sending of Email through MAPI. If required, you can also send mail directly via SMTP if you know your SMTP settings. Using this option allows you to format the contents of the Email message using HTML, and include associated images in the message.

To install SMTP support, select Tools/Options from the main menu and select the E-Mail page:

Click on the Select Mail DLL button and choose the SMTPMail.dll file from the Tracker installation folder. SMTP support requires certain information to work. Clicking on the Configure E-Mail Settings button allows you to configure SMTP support:

Use this dialog to configure the support for SMTP send of Email

Host
This is the hostname of your SMTP server

User Name/Password
Enter the username and password you use to access your Email via SMTP

Return Address
This is the return address associated with all EMails you send through Tracker.

Use HTML in message body
If you check this option, the details of the Issue you are sending, including any associated Images, will be included as the message body of all emails sent.

See Also: Sending Issues via Email

.topic 1115
Tracker comes as standard with the most commonly used fields for Issue tracking. However, these may not sufficient for all organisations. User defined fields allow Admin users to define any number of additional fields that can be used to store extra information against issues.

Combined with Templates and Queries, this allows you to store and display information however you like. There are four basic field types that can be added:

String

String fields can be used to store any amount of textual information against an issue, or can be restricted to a set of options. You can specify a maximum size of the field, or allow unlimited text. A text field could be used to enter keywords which could be combined with a query to create a rudimentary helpdesk.

Date

Date fields can be used to store additional dates against issues, for example the date a client was notified of an update, etc. Date entry is via the calendar popup, and blank dates can aslo be stored.

Integer

Integer fields can be used to store integer data against issues, for example the number of times a particular issue has been reported.

Number

Stores floating point data against Issues.

Fields can be marked as Required. If a field is marked as required, the user must enter a value or select an option before the changes to the Issue can be saved. For all types of field, you also have the option of adding it to the History list. This will record all changes to that particular field, and who made the change.

To add and modify fields you need to be logged in as an Admin user and select Tools / Options... / Fields to display the following dialog box:

In addition to the type of field, you can also specify the Scope:

The Scope page allows you to define which type of Issue that you want the Field to be associated with. By default, all new field definitions are associated with all issue types.

For more information on the meaning of the options, open the dialog in TC Tracker and click on the   button.

.topic 1117
Templates allow you to create custom screen layouts that can be applied to individual issues, thus allowing you to completely define what is displayed on screen. In addition, report templates allow you to create additional reports and specify different layouts for these reports.

Templates use plain HTML to define the layout and special fields that are replaced with actual field values when displayed or printed. For screen layouts, there are also special link formats that allow you to insert links to individual field editors. Templates have full access to User Defined Fields.

Maintenance of templates is carried out via the Tools / Options... / Templates menu option and is available only to Admin users. The built-in editor is used to modify template sections but, since it is not wysiwyg, you may find it easier to use an external editor and paste the results into the built-in editor.

There are three types of template:

Screen

This type of template allows you to define the layout of the visual elements of the pages displayed in the Detail Pane of the main screen. This template type is subdivided into separate sections representing the individual tabs:

Bug Report
Feature Request
Enhancements
Tasks
Work Requests
Notes (used for all notes fields)
Images
No Images (when no images are associated)
History
Header
Odd
Even
Footer
Criteria (for Queries)

As well as allowing %fieldname% keywords which are expanded to the actual value of the field at runtime, screen templates allow links to be inserted to the built-in field editors. These links take the form:

<a href="FieldEdit:FieldName,%25id%25">DisplayText</a>

where FieldName is the name of the field, DisplayText is what the user sees, and %25id%25 is replaced with the current Issue ID. In the built-in Html editor, all the valid Links and Values are available from the toolbar and the context menu and the relevant Html will automatically be inserted for the relevant fields.

When a user clicks on one of these fields, the default editor for that field type is displayed to allow users to modify the value assigned to it.

Page Report

Page Report templates are similar to the Screen templates in that they are separated into similar sections:

Header
Bug Report
Feature Request
Enhancements
Tasks
Work Requests
Notes (used for all notes fields)
Attachments
Header
Odd
Even
Footer
History
Header
Odd
Even
Footer
Footer

Note that, with page reports, the Header section must start with the <body> tag and the Footer section must end with the </body> tag. The sections in between should not contain either of these tags.

Page Reports can use the <page> tag to force a new page when printing. This tag has no effect when displaying the report.

List Report

The List Report templates can be used to report on the fields common to Bug Reports and Feature Requests. For this reason they have the following section:

Issue ( Bug/Feature )
Header
Odd
Even
Footer

Neither the Page Report or the List Report have access to the <a href links since they are designed for printed output or use outside TC Tracker.

.topic 1125
Templates are used for formatting on-screen and report layouts. There is a facility in TC Tracker to allow exporting of Templates so that they can be imported into other repositories.

When a template is exported to a file the full definition of that template is exported, including the definitions of any User Defined Fields that the templates refer to. This feature means that, if you have defined templates and additional fields to fit a particular requirement, e.g. a HelpDesk application, you can easily redistribute that template, along with all the necessary field definitions, to other users of TC Tracker.

To export a template, select Tools / Options / Templates from the main menu, select the relevant template, right-click to display the context menu, and select Export. You will be prompted to enter the filename and the template will be stored.

  By default, exported templates will be stored in a file with the extension .tkt

.topic 1126
The ability to export and import Templates allows you to transfer templates between individual repositories and organisations. When you import a template, the User Defined Field definitions required by that template are also imported.

To import a template, select Tools / Options / Templates from the main menu, right-click to display the context menu, and select Import. You will be prompted to select the template filename and the template will be imported.

  By default, exported templates will be stored in a file with the extension .tkt

.topic 8000
The Login Dialog box is displayed when you first log in to Team Coherence. By default, Team Coherence remembers your Username and Password for subsequent logins.

To change the username you use to login to Team Coherence, select Tools / Login as Different User... from the Version Manager main menu.

   Click What's This? Help in the dialog box for field definitions.

  By default, there is one user created when Team Coherence is first installed. This user has full access to all functions. The username is supervisor with the default password of password. This user cannot be deleted, but it is advisable to change the password as soon as possible to prevent unauthorised modification of your files.

.topic 9000
This dialog is displayed when you select Tools / Change password... from the main menu in TC Tracker.

To change your password, enter your new password in the two edit boxes and press the OK button. If you were added to Team Coherence as a new user, your initial password will be set to password. Obviously, one of the first things you should do after starting Team Coherence for the first time is change your password.

  Click What's This? Help in the dialog box for field definitions.

See also: Users and Groups

.topic 1051
This dialog box is displayed when you click on an edit hyperlink for a date-type field and is used to enter or select a date value to assign to that field.

  Click What's This? Help in the dialog box for field definitions.

See also: Issues

.topic 1099
This dialog box is displayed when you click on an edit hyperlink for a String or Numeric field and is used to enter a value to assign to that field.

  Click What's This? Help in the dialog box for field definitions.

See also: Issues

.topic 1052
This dialog box is displayed when you click on an edit hyperlink for a list-type field and allows you to select a value from a predefined list to assign to that field.

  Click What's This? Help in the dialog box for field definitions.

See also: Issues

.topic 1053
This dialog box is displayed when you click on the edit hyperlink for the Requested By field and allows you to enter a Name and E-Mail address for the person.

  Click What's This? Help in the dialog box for field definitions.

.topic 1054
This dialog box is displayed when you edit one of the text fields associated with an Issue, or when modifying a Template. You can enter either plain text into this field, or can use HTML to add tables, highlight text, etc.

You can preview how the text will be displayed by selecting the HTML Preview page of this dialog.

.topic 1089
The Template Editor allows you to modify the sections of a template. Templates allow you to define how Screen and Reports are displayed and are created using simple HTML.

This screen shows a preview of the currently selected template section and you can use the buttons in the toolbar to modify the Html used to create each section. In addition, for reports that are exported:

CSS - This is the Cascading Style Sheet that will be embedded in the output reports.
Pre <HTML> - The HTML, JavaScript, etc, you enter here will be inserted prior to the <HTML> tag in the output reports.
<HEAD> - The HTML, JavaScript, etc, you enter here will be inserted in the <HEAD> tag before the CSS
Post <HTML> - The HTML, JavaScript, etc, you enter here will be inserted after the final </HTML> tag in the output reports.

  The CSS, Pre <HTML>, <HEAD>, and Post <HTML> buttons apply to the entire template and not simply the section you are editing.

To access this form, select Tools / Options... / Templates from the main menu and select a template to edit.

.topic 1055
This dialog box is displayed when you select a Group in the User Manager and click on Properties...

It is used to describe the Group and to allow addition of members to the group.

  Click What's This? Help in the dialog box for field definitions.

See also: Users and Groups

.topic 1056
This dialog is displayed when you view the properties of a selection of different types of object. It displays basic information about the contents of these objects.

  Click What's This? Help in the dialog box for field definitions.

.topic 1057
This dialog allows you to modify an Query definition, or create a new one.

To create a new Query definition:

1. Select a Query Folder in the main window
2. Right-click to display the Context menu
3. Select New / Query...

To modify an existing query:

1. Select the Query in the main form
2. Right-click to display the Context menu
3. Select Properties...

  Click What's This? Help in the dialog box for field definitions.

See also: Queries, Defining a Query

.topic 1058
This dialog allows you to modify an existing Issue, or create a new one.

To create a new Issue:

1. Select a Project in the main window
2. Right-click to display the Context menu
3. Select New / Bug Report... or New / Feature Request...

To modify an existing Issue:

1. Select the Issue in the main form
2. Right-click to display the Context menu
3. Select Properties...

  Click What's This? Help in the dialog box for field definitions.

See also: Issues, Creating an Issue, Updating an Issue

.topic 1059
The Project Property Sheet allows you to modify the basic properties and security attributes of a project. To access this property sheet:

1. Select the Project in the main window
2. Right-click to display the Context menu
3. Select Properties...

  Click What's This? Help in the dialog box for field definitions.

The Name property of the project is the name that is used in TC Tracker when displaying this project.

The security page allows you to define which users and groups are allowed to modify the properties of the Project, and also who is allowed to modify the Issues stored within the project.

.topic 1060
This dialog is used to allow modification of individual lines in a Query. The contents of this dialog are dependent on the type of field the line represents.

  Click What's This? Help in the dialog box for field definitions.

.topic 1061
This dialog is displayed whenever you need to select a list of Users or Groups, most commonly when defining security settings or defining Groups.

  Click What's This? Help in the dialog box for field definitions.

.topic 1062
This dialog allows you to set local options such as which Panes to display, what date format to use, etc. In addition, Admin users can use this dialog to define the selection lists and default values for certain Issue fields.

To access this dialog:

1. Startup Version Manager
2. Select Tools / Options...

  Click What's This? Help in the dialog box for field definitions.

.topic 1063
This dialog shows the status of any action you take in TC Tracker. It lists all objects involved in the action, along with the status after the action is carried out.

  Click What's This? Help in the dialog box for field definitions.

.topic 1064
This dialog allows you to modify the properties of an Image associated with an Issue. Images can either be pasted from the clipboard, or can be loaded from file.

You can preview how the image will be displayed by selecting the HTML Preview page on this dialog.

  Click What's This? Help in the dialog box for field definitions.

.topic 1065
This dialog displays the properties of a User. If you want to modify user info, see the section on Users and Groups. To send an E-Mail to this user, press the E-Mail button.

  Click What's This? Help in the dialog box for field definitions.

.topic 1066
This dialog is displayed when you modify a User in the User Manager. Use this dialog to specify the properties of a user, including the E-Mail address.

   Click What's This? Help in the dialog box for field definitions.

.topic 1080
This dialog is displayed when you edit a User-defined field (UDF) in Tools / Options.... Use it to define additional fields that can be associated with Issues, and to redefine existing UDFs. In addition to specifying the type of data stored by the field, you can specify a default value and a list of options for the user to select from.

This dialog is only available to Admin users.

  Click What's This? Help in the dialog box for field definitions.

See also: Issues

.topic 1100
This dialog is displayed when you create a new Template. It allows you to specify the Name and Description of the template, and to specify the template you want to use as the basis for the new one.

This dialog is only available to Admin users.

  Click What's This? Help in the dialog box for field definitions.

.topic 5000
No Help topic is associated with this item.

.topic 131041
Connection

This dropdown lists all the configured dialup connections defined for the username you logged into Windows with. Select a connection to force Team Coherence to use this connection when connecting to the server.

See Also: Connecting to a Repository

.topic 131042
Username

If the dialup connection requires you to enter a Username to log on, enter it here.

See Also: Connecting to a Repository

.topic 131043
Password

If the dialup connection requires you to enter a Password to log on, enter it here.

See Also: Connecting to a Repository

.topic 131044
Name

Enter a descriptive name for this connection.

See Also: Connecting to a Repository

.topic 131045
Description

Enter a description of this connection..

See Also: Connecting to a Repository

.topic 131046
Host

Specify the IP address of the computer that the Team Coherence Server you are connecting to is running on. This can either be an IP address or a domain.

See Also: Connecting to a Repository

.topic 131047
Port

Each instance of the server running on the same machine must use a different port number. Enter the port number for the server you are connecting to.

See Also: Connecting to a Repository

.topic 131048
Test

Click on the Test button to test that the settings you have entered can connect to the server.

See Also: Connecting to a Repository

.topic 131049
Use Dialup Networking

If you need to establish a dialup connection to connect to a remote server, check this box and enter the relevant details below.

See Also: Connecting to a Repository

.topic 131050
Encryption Key

If the system administrator has defined an encryption key for the server you are connecting to, you need to enter that key here in order to establish a connection.

See Also: Connecting to a Repository

.topic 141033
Prompt at Startup

If this is checked, Team Coherence will prompt you for a valid connection each time an instance starts.

See Also: Connecting to a Repository

.topic 141034
This list displays all the connections you have defined to Team Coherence repositories.

See Also: Connecting to a Repository

.topic 141035
Add

Click this to define a new connection to a repository.

See Also: Connecting to a Repository

.topic 141036
Modify

Click this to modify the currently selected connection settings.

See Also: Connecting to a Repository

.topic 141037
Delete

Click this to permanently delete the currently selected connection.

See Also: Connecting to a Repository

.topic 292

.topic 11293
Username

Enter the name of a valid user. When a Team Coherence repository is first created, two users are created automatically:

Supervisor - This user has all rights to the repository
Guest - This user has minimal rights to the repository

.topic 11294
Password

Enter a valid password for the user. Note that the default password for all new users is 'password'.

.topic 100

.topic 101
Issues

Lists the Issues that will be associated with the selected files when the action is carried out.

  Note that it does not list Issues already associated with the selected files.

.topic 102
Add

Click this button to select Issues to associate with the selected files.

.topic 103
Remove

Click this to remove the selected Issues from the selected files.

.topic 104

.topic 105
Issues

Lists all Issues associated with the archive. Issues can be added or removed using the buttons below, and you can update the status of the currently selected issue by clicking the Properties button.

.topic 106
Add

Click the Add button to display a selection dialog to allow you to associate Issues with this Archive. The selection dialog can also be used to create new Issues without having to switch to the Tracker addin.

.topic 107
Properties

This button gives you access to the core fields of an Issue and allows you to modify the status of the selected Issue.

.topic 108
Remove

Click this button to remove (disassociate) the selected Issues from the archive.

.topic 109

.topic 110
Close and save changes

Closes this dialog box and saves all the changes you have made.

.topic 111
Close and discard changes

Closes this dialog box without saving any of the changes you have made.

.topic 112
Display Help

Displays context sensitive help for this dialog box or function.

.topic 113
Date

Enter a new date for this field, or click on the drop-down to display a calendar to allow you to select a date.

.topic 114

.topic 115
List Field

Drop down the list to select a valid option.

.topic 116

.topic 117
Name

Enter the name of the person who requested or reported this Issue.

.topic 118
E-Mail

Enter the E-Mail address of the person who requested or reported this Issue.

.topic 1078

.topic 1079
Value

Enter a new value for this field.

.topic 119

.topic 120
HTML Preview

This page shows how the text will be displayed.

.topic 121
Text

This edit box can be used to modify the selected notes. You can use HTML tags to format the text how you like. To preview how the formatted text will be displayed, select the HTML Preview page.

Note that, since the notes will be displayed in HTML, carriage returns are effectively ignored for display purposes. To enter the equivalent of a carriage return in HTML, use the <BR> tag.

.topic 1106
Enter topic text here.

.topic 1107
Enter topic text here.

.topic 1108
Cut

Cuts the selected text and copies it to the clipboard.

.topic 1109
Copy

Copy the selected text to the clipboard.

.topic 1110
Paste

Paste the contents of the clipboard into the editor.

.topic 1111
Delete

Delete the selected text.

.topic 1112
Select All

Select all text in the editor.

.topic 1113
Link

If you are editing a Screen template, you can use this option to paste in special links to allow field editing. Selecting this option will display a list of valid links for the current section.

.topic 1114
Value

If you are editing a Template, you can use this option to paste in special text for field values. When the template is used, these values will be replaced by the relevant fields. Selecting this option will display a list of valid values for the current section.

.topic 122

.topic 2123
Name

Enter the name of this group. Names must be unique.

.topic 2124
Description

Enter a description for this group. The description can be any length and should describe the function of the members of this group.

.topic 2125
Select

Press this button to select members of this group. Members can be users and other groups.

.topic 2126
Remove

Press this button to remove the selected members from this group.

.topic 2127
Members

Lists the current members of this group. Click on the Select button to add or remove members to this list.

.topic 128

.topic 129
Folder Pane

This pane displays all Projects in the repository and any Queries that are defined. Right-clicking on any object in this pane will display a context menu based on the current selection.

Selecting an object in this pane will cause the List Pane to be updated based on this selection.

See also: Visual Elements

.topic 130
Files Pane

The Files pane displays the list of objects directly contained by the object selected in the Folder Pane. Depending on the current selection, this is normally a list of the Issues or Queries contained within this object. Right-clicking on any object in this pane will display a context menu based on the current selection.

Selecting an object, or multiple objects, in this pane will cause the Detail Pane to be updated based on this selection.

See Also: Visual Elements

.topic 131
Detail Pane (Details)

This panel displays details for the currently selected object.

For Issues, it displays the core details of the selected Issue, including details about its Origination and Resolution. Moving the mouse over a fieldname will turn the mouse cursor into a hand if that field is editable. Clicking the field will display a dialog to allow you to modify the contents of the field.

Double-clicking on this page displays the Issue Properties dialog box to allow you to edit multiple fields at a time.

.topic 132
Detail Pane (Report/Request)

This panel displays the text giving more details about the currently selected Issue. Clicking on the Edit hyperlink will display a dialog to allow you to modify the contents of this field. Clicking on the Clear hyperlink will clear the contents of this field.

.topic 133
Detail Pane (Notes/Implementation Notes)

This panel displays the text giving more information about the currently selected Issue. Clicking on the Edit hyperlink will display a dialog to allow you to modify the contents of this field. Clicking on the Clear hyperlink will clear the contents of this field.

.topic 134
Detail Pane (Other/New Ideas)

This panel displays the text detailing other information about this Issue. Clicking on the Edit hyperlink will display a dialog to allow you to modify the contents of this field. Clicking on the Clear hyperlink will clear the contents of this field.

.topic 135
Detail Pane (Resolution)

This panel displays the text describing how this Issue was resolved. Clicking on the Edit hyperlink will display a dialog to allow you to modify the contents of this field. Clicking on the Clear hyperlink will clear the contents of this field.

.topic 136
Detail Pane (Attachments)

This panel displays the objects that are associated with this Issue. This can either be normal files, or can be references to Team Coherence archives.

Normal files, when associated with an Issue are not stored as part of the Issue, so avoid using local pathnames or these files may not be accessible to others. To make sure that all documents are accessible to others, archive them using Team Coherence before adding them. In this way, you also get a history of the changes to the documents.

.topic 137
Detail Pane (Images)

Images can be stored against an Issue. In most cases, a picture can better describe why an issue was raised than words. Images are stored as part of the issue, so are available to anybody who can view the Issue.

Images can be pasted from the clipboard as well as being loaded from file. All images are compressed at the server-side.

Use the Hyperlinks at the top of the page to add new images and to modify existing ones. Alternatively, right-clicking will display a context sensitive menu.

.topic 138
Images

This lists all the images that are associated with this Issue. Note that the images themselves are only retrieved from the server when required for display. This improves overall performance.

.topic 139
History

This page displays the history of all the important changes made to this Issue.

.topic 1020
Cut

Cuts the selected objects and copies them to the clipboard.

.topic 1021
Copy

Copy the selected objects to the clipboard.

.topic 1022
Paste

Paste the contents of the clipboard into the current object.

.topic 1023
Delete

Delete the selected objects.

.topic 1024
Select All

Select all the objects in the list.

.topic 1025
View Folders

Select this item to show or hide the Folder Pane in the main window.

See Also: Visual Elements

.topic 1026
View Details

Shows or hides the Detail Pane in the main window. The Detail Pane shows additional information for the current selection and gives fast access to relevant actions.

See Also: Visual Elements

.topic 1027
Large Icons

Use large icons in the Files Pane.

See Also: Visual Elements

.topic 1028
Small Icons

Use small icons in the Files Pane.

See Also: Visual Elements

.topic 1029
List

List files in the Files Pane using small icons in a list layout.

See Also: Visual Elements

.topic 1030
Toggle Icons

Toggles icon display between Small, Large, List, and Details.

.topic 1031
Up

Click here to move the current root up one level.

.topic 1032
Refresh

Select this item to refresh the contents of the currently active pane.

See also: Visual Elements

.topic 1033
New Project

Select this to create a new, blank, TC Tracker Project.

.topic 1034
Properties

Select this item to display the properties of the currently selected object(s).

.topic 1035
Show Details

Show files in list format with details displayed in columns.

See Also: Visual Elements

.topic 1036
User Manager

Select this item to display the User Manager to allow you to create and modify Users and Groups.

.topic 1037
Rename

Select this to Rename the selected object.

.topic 1039
New Bug Report

Select this to create a new Bug Report.

See Also: Issues

.topic 1040
New Feature Request

Select this to create a new Feature Request.

See Also: Issues

.topic 1041
New Query

Select this to create a new Query.

See Also: Query

.topic 1044
New Image

Add a new Image to the currently selected Issue.

.topic 1045
Report

Select this to generate reports based on the current selection.

.topic 1046
Options

Select this to display the Options dialog to modify local settings for TC Tracker.

Admin users can also use this dialog to maintain the preset field values.

.topic 1047
Edit Image

Select this option to modify the Name, Description and Image for the currently selected Image.

.topic 1048
Delete

Select this option to delete the currently selected Image from this Issue.

.topic 1049
View

Select this option to view the currently selected Image in the default Viewer.

.topic 1050
New Image

Add a new Image to the currently selected Issue.

.topic 140

.topic 141
Done

Click this button to close this dialog box.

.topic 142

.topic 143
Name

Enter a descriptive name for this Query.

.topic 144
Description

Enter some text to better describe the function of this query.

.topic 145
Temporary

By default, all new Queries are created as temporary queries. A temporary query will be destroyed when Tracker is shut down.

To save a query in the repository, select either Personal or Shared.

.topic 146
Personal

Personal queries can be viewed only by the person that created them. Select this option to save the current query in your Personal folder.

.topic 147
Shared

Shared queries can be viewed by all users but can only be saved as Shared by Admin users. Shared queries should be general queries that would be useful to any user. Select this option to save the current query in the Shared folder.

.topic 148
Fields

This list displays the available fields that can be used to create the query. To add a field to the current query, elect the field and press the Add button. Alternatively, double-click on the field.

.topic 149
Add

Click the Add button to add the selected Field to the query.

.topic 150
Query

Displays a representation of the query. To modify a line of the query, double-click on the line or select it and press the Modify button.

.topic 151
Modify

Press this button to modify the currently selected line of the Query.

.topic 152
Remove

Click this button to remove the currently selected line from the query.

.topic 153
And

Click this button to add or remove a logical AND comparison from this line of the query. Note that lines can be grouped using brackets and that the AND will be placed outside any open bracket on the current line.

.topic 154
Not

Click this button to add or remove a logical NOT comparison from this line of the query. Note that lines can be grouped using brackets and that the NOT will be placed outside any open bracket on the current line.

.topic 155
Or

Click this button to add or remove a logical OR comparison from this line of the query. Note that lines can be grouped using brackets and that the OR will be placed outside any open bracket on the current line.

.topic 156
Open Bracket

Brackets allow you to group multiple lines together as a single logical comparison. Each open bracket must be accompanied by a closed bracket either  on the same line or a lower line.

.topic 157
Close Bracket

Brackets allow you to group multiple lines together as a single logical comparison. Each open bracket must be accompanied by a closed bracket either  on the same line or a lower line.

.topic 1142
Sort By

Select the field that you would like to sort this query by. The Sort By field you select will be used to sort the results of the query when running a report (but not when viewing the query results on screen).

.topic 1143
Ascending

Check this option to sort the query in ascending order. Uncheck it to sort the query in descending order.

.topic 158

.topic 159
Issue Type

Select the type of Issue you are creating. Currently Bug or Feature Request.

.topic 160
Priority

Select the Priority for the Issue you are modifying.

.topic 161
Description

Enter a basic description of the Issue. This is displayed in the List Pane and a more detailed description can be entered in the Notes/Request field.

.topic 162
Complete By

Enter the date that this Issue should be resolved by, or drop down the list to select a date from the popup calendar.

.topic 163
Severity

Select the Severity of the Issue from the dropdown list.

.topic 164
Reported in Version

Enter the Version of the Project that this Issue was raised in. If you are connected to a Team Coherence repository, you can drop down the list to display a selection of existing labels.

.topic 165
Reported By

Enter the name of the person that reported this Issue.

.topic 166
E-Mail

Enter the E-Mail address of the person that raised this Issue.

.topic 167
Project

Select the Project that this Issue is associated with from the dropdown list.

.topic 168
Area

Select the functional area that this Issue refers to.

.topic 169
Assign To

If the Issue is not to be assigned to the creator, select the user that the Issue should be assigned to.

.topic 170
Status

Displays the current status of the Issue. If you want to change the status, select a new value from the dropdown list.

.topic 171
Completed By

If this Issue is being completed, enter the name of the user that completed the Issue. The Completed status occurs when the Issue has been deemed to be resolved.

.topic 172
Verified By

If the Issue has been completed and is now being verified as complete, enter the name of the user that verified the Issue.

.topic 173
Implemented in Version

Enter the Version of the Project that this Issue was implemented in. If you are connected to a Team Coherence repository, you can drop down the list to display a selection of existing labels.

.topic 174
Closure Category

Enter the closure category for this Issue.

.topic 1141
Requested/Reported by

Enter the Name of the person who raised this Issue, or select from the list.

.topic 1076
Template

Select the template you want to use when displaying this Issue on the screen.

.topic 1077
User Defined Fields

User defined fields allow additional information to be associated with Issues. Enter a value or select an option.

.topic 175

.topic 5176
Reconnect

Press this button to attempt to reconnect to the repository.

.topic 5177
Work Offline

Pressing this button will cause Tracker to work in offline mode.

.topic 178

.topic 4179
Name

Enter a new name for the Project. If this field is disabled, you do not have the necessary access rights to do this.

.topic 4180
Access

Displays the list of Users and Groups that have the ability to define access rights for this Project. Click on the button to the right to select users and groups.

.topic 4181
Modify

Displays the list of Users and Groups that have the ability to modify the properties of this Project and any Issues contained by it. Click on the button to the right to select users and groups.

.topic 4182
Can Complete

Displays the list of Users and Groups that have the ability to mark Issues contained by this Project as Completed. Click on the button to the right to select users and groups.

.topic 4183
Can Verify

Displays the list of Users and Groups that have the ability to mark Issues contained by this Project as Verified. Click on the button to the right to select users and groups.

.topic 4184
Can View

Displays the list of Users and Groups that have the ability to View this Project and any Issues it contains. Click on the button to the right to select users and groups.

.topic 4185
Delete

Displays the list of Users and Groups that have the ability to delete this Project or any Issues contained by it. Click on the button to the right to select users and groups.

.topic 186

.topic 187
Display

Displays the current contents of this line in the Query. Modifying the properties of this line causes the display to be updated.

.topic 188
Selection

Check the values you want to include in the comparison.

.topic 189
All

Click this button to check all items in the list.

.topic 190
None

Click this button to uncheck all items in the list.

.topic 191
Display

Displays the current contents of this line in the Query. Modifying the properties of this line causes the display to be updated.

.topic 192
Equals

Select this option to return True if the value of the date field is the same as the entered date.

.topic 193
Between

Select this option to return True if the value of the date field falls between the entered dates.

.topic 194
After

Select this option to return True if the date field is before entered date.

.topic 195
Before

Select this option to return True if the date field is before entered date.

.topic 196
Absolute Date

Enter the date value in this field. You can select Today or Now from the first drop down, or select a fixed date from the second dropdown.

.topic 197
Absolute Date

Enter the date value in this field. You can select Today or Now from the first drop down, or select a fixed date from the second dropdown.

.topic 198
Absolute Dates

Select this option to make the comparison relate to actual dates as opposed to relative dates.

.topic 199
Days

Enter a number of days that will be subtracted from the current date when evaluating the Query.

.topic 200
Relative Dates

Select this option to make the comparison relate to relative dates as opposed to actual dates.

.topic 201
Days

Enter a number of days that will be subtracted from the current date when evaluating the Query.

.topic 202
Equals

Select this option to return True if the value of the string field is the same as the entered string.

.topic 203
Contains

Select this option to return True if the value of the string field contains the entered string.

.topic 204
String Value

Enter the string to use when evaluating this field.

.topic 205
Display

Displays the current contents of this line in the Query. Modifying the properties of this line causes the display to be updated.

.topic 206

.topic 207
View

Click this button to generate the report and display it in the built-in viewer. The Viewer can then be used to print/preview the report if required.

.topic 208
Done

Click this button to close this dialog box.

.topic 209
Save to file

Click this button to save the generated report as an HTML format file. This file can be viewed later using any HTML viewer.

.topic 210
Page Report

Select this option to display a detailed report in page format. The detailed information (Origination and Resolution) are always included, but the other details shown in the report can be changed by selecting the options below.

.topic 211
Report

Check this box to display the data entered against the Report/Request field of the Issue.

.topic 212
Notes

Check this box to display the data entered against the Notes/Implementation field of the Issue.

.topic 213
Other Notes

Check this box to display the data entered against the Other/New Ideas field of the Issue.

.topic 214
Resolution

Check this box to display the data entered against the Resolution field of the Issue.

.topic 215
Attachments

Check this box to display information about the objects attached to this Issue.

.topic 216
History

Check this option if you want to display the detailed history of the changes made to this Issue.

.topic 217
List

Select this option to display a list style report containing the basic information for each Issue.

.topic 1144
Template

Select the Template you want to use to format the output.

.topic 218

.topic 219
Folder Pane

This pane displays all Projects in the repository and any Queries that are defined.
Select an object in this pane will cause the List Pane to be updated based on this selection.

.topic 220
List Pane

Displays a list of the Issues, and other objects, contained by the object selected in the Folder Pane. Select the relevant Issues and press the OK button to continue.

You can create a new Issue, or modify the properties of an existing one, by using the right-click context menu.

.topic 181

.topic 2182
Username

The name of the user you are changing the password for.

.topic 2183
Password

Enter the new password for this user. You must also confirm the password to make sure you made no typing errors.

.topic 2184
Confirm

Confirms the password entered in the Password field.

.topic 2185
Existing Password

If it is not already filled in, you must specify the existing password for this user.

.topic 221

.topic 2000
Existing

Displays a list of defined Users and Groups. To add members from this list to the Selected list, select the members and press the Add button.

.topic 2001
Add

Click this button to add the selected users/groups to the selection.

.topic 2003
Remove

Click this button to remove the selected users and groups from the selection.

.topic 2004
Selected

Displays a list of the users and groups already selected. Select an item and press Remove to remove the user/group from this list.

.topic 2261022

.topic 1135
Single Page Dialog

If this option is checked, the New Issue dialog and Modify Issue dialog will be displayed as a single dialog. If it is unchecked, the dialog will be displayed as a multi-page dialog.

.topic 1146
Allow non-Admin users to create Projects

If this option is checked, non-Admin users are allowed to create new projects in the current Repository. If it is unchecked, only Admin users can do this.

.topic 1147
Enabled Issue Types

This box allows Admin users to define which Issue types are available to users. Unchecked items will not be displayed in relevant lists where the user can define the type of an Issue. However all Issue types will be displayed if they already exist, this option simply prevents users from creating new ones.

.topic 1148
Visible Columns

Check the columns you want to be displayed in the Issue listview..

.topic 1149
Allow Multiple Instances

Check the columns you want to allow multiple Instances of TC Tracker to run at the same time. If this option is unchecked, only one instance of Tracker will be allowed to run.

.topic 1150
Short Date Format

Enter the format characters to use when displaying short dates.

.topic 1136
Status Dialog

By default the status dialog is always displayed after an action is completed. If you uncheck this option, the status dialog will only be displayed if errors occur.

.topic 1137
Highlight Tabs

The tabs along the bottom of the screen display the pages of additional information associated with the current Issue. If you want to make it obvious which sections have data, check this option.

.topic 1138
Data Color

Press this button to select the text color to use when a tab has underlying data.

.topic 1139
No Data Color

Press this button to select the text color to use when a tab has no underlying data.

.topic 1140
Rename Template

This button pops up a dialog to allow you to rename the currently selected Template.

.topic 227
Folder Pane

Check this box to display the Folder Pane in the main window. This pane displays the root objects such as Projects and Query Folders.

.topic 1131
Show Issues

If this option is checked, Issues assigned to all users will be displayed when viewing the contents of a Folder. If it is unchecked, only Issues assigned to you will be displayed.

.topic 1132
Hide Completed

If this option is checked, Completed Issues will not be displayed.

.topic 1133
Create In Folders

By default, all new Issues are added to your Intray. If this option is checked, Issues created by you will be added to the currently selected Folder.

.topic 1134
Sequential Numbering

ADMIN users only. If this option is checked, Issues will be numbered in sequential order for each project.

.topic 228
Detail Pane

Check this box to display the Detail Pane in the main window. The detail pane displays details for the currently selected object in the Folder or List pane, depending on which is currently active.

.topic 229
Click Delay

This delay (in milliseconds) is used to prevent unnecessary updates to the screen objects as you navigate.

.topic 230
Drag Delay

This is the time that you need to hover over a node before it expands during a drag-drop operation.

.topic 231
Date Format

Enter the format characters to use when displaying dates.

.topic 232
Fields

This list displays all the fields for which a list of options should be defined. In most cases, a default value can also be defined for new Issues.

Select the field you want to update the list for and modify the items of that list in the area below.

.topic 233
Priority

Enter the list of options for this field. The default value (used for new Issues) can be selected from the list below.

.topic 234
Default Priority

Select the value that will be used as the default for this field when creating new Issues.

.topic 235
Severity

Enter the list of options for this field. The default value (used for new Issues) can be selected from the list below.

.topic 236
Default Severity

Select the value that will be used as the default for this field when creating new Issues.

.topic 237
Closure Category

Enter the list of options for this field. The default value (used for new Issues) can be selected from the list below.

.topic 238
Default Closure Category

Select the value that will be used as the default for this field when creating new Issues.

.topic 239
Status

Enter the list of options for this field. The default value (used for new Issues) can be selected from the list below.

You should also define which value represents a Closed Issue and which to use to represent a Verified Issue.

.topic 240
Default Status

Select the value that will be used as the default for this field when creating new Issues.

.topic 241
Completion Status

Select the value that will be used as the status that represents a completed Issue. When the Completed By field is set, this value will be assigned to the status field. Similarly, if the Status field is changed to this value, the Issue will be marked as completed.

.topic 242
Verified Status

Select the value that will be used as the status that represents a completed and verified Issue. When the Verified By field is set, this value will be assigned to the status field. Similarly, if the Status field is changed to this value, the Issue will be marked as completed and verified.

.topic 243
Area

Enter the list of options for this field. The default value (used for new Issues) can be selected from the list below.

.topic 244
Default Area

Select the value that will be used as the default for this field when creating new Issues.

.topic 1067
Fields

Lists all the user defined fields for this repository. These fields can be used to associate additional information with each issue. Use the context menu, or the buttons to modify existing fields or create new ones.

Note that Templates can only be modified by ADMIN users.

.topic 1068
Templates

Templates allow you to modify the layout used in screen objects and reports. Templates are defined in HTML and have support for Tables and Cascading Style Sheets, etc.

Templates can also be exported to file and imported from file by selecting this list and right clicking to display the context menu.

Note that Templates can only be modified by ADMIN users.

.topic 1069
New Field

Select this option to define a new Field.

.topic 1070
Modify

Select this option to modify the properties of the currently selected field.

.topic 1071
Delete

Select this option to delete the currently selected field. Note that the data associated with issues is not deleted and this field can be recovered in the future by recreating it.

.topic 1072
New Template

Select this option to define a new Template. New templates can be based on an existing template of the same type.

.topic 1073
Modify

Select this option to modify the properties of the currently selected Template.

.topic 1074
Delete

Select this option to delete the currently selected Template. Note that you cannot delete the Default templates.

.topic 1075
Default Screen Template

Select the default template to use when creating new issues.

.topic 1119
New Issues should be Assigned to

If you specify a value here, all new Issues will be assigned to this user. In addition, creators of the Issue will be unable to change the Assign To value. This forces all new issues to be channeled through a specific user who can then reassign the issues to the most relevant people.

.topic 1152
Options

List the available options that can be modified. Select the relevant section and modify the settings.

.topic 1153
Use HTML Editor

If this value is checked, Tracker will use a wysiwyg HTML editor when modifying the description and other note fields. If unchecked, it will use the basic text editor for these fields.

.topic 1154
Apply Filters to Queries

By default the Verified and Completed filters do not apply when viewing Queries. Check this option to force these filters to apply when viewing Queries.

.topic 245

.topic 246
Show Successful

Check this box if you want to see the result of all actions. If it is unchecked, only warnings and errors will be displayed.

.topic 247
Done

Click this button to close this dialog box.

.topic 248
Errors

Lists the status of all actions carried out in the last operation.

.topic 249

.topic 250
Name

Enter a descriptive name for this Image.

.topic 251
Description

Enter more details about this image. This might include references to the Issue and describe how to reproduce the error.

.topic 252
Load

Click this button to load an image from a file. You can also paste images from the clipboard

.topic 253
Clear

Press this button to clear this image.

.topic 254
Html Preview

Select this page to view how the image and comments will be displayed.

.topic 255

.topic 6256
Name

Displays the name the user will use to login to TC Tracker.

.topic 6257
Full Name

Displays the full name of the user.

.topic 6258
E-Mail

Displays the stored E-Mail address for this user

.topic 6259
Location

Displays the location of this user.

.topic 6260
Send E-Mail

Click here to send an E-Mail to this user now.

.topic 270

.topic 2271
Done

Click this button to close this dialog box.

.topic 2272
New

Press this button to create a new User.

.topic 2273
Properties

Click this button to display the properties of the selected User.

.topic 2274
Remove

Click this button to remove the selected user.

.topic 2275
Users

Displays the list of Users defined for this Repository as well as the Groups they belong to.

.topic 2276
Groups

Displays the list of Groups defined for this Repository.

.topic 2277
New

Press this button to create a new Group.

.topic 2278
Properties

Click this button to display the properties of the selected Group.

.topic 2279
Remove

Click this button to remove the selected Group. Removing a group does not remove the users or groups contained by that group.

.topic 280

.topic 3281
Name

Enter the name the user will use to login to TC Tracker.

.topic 3282
Full Name

Enter the full name of the user in this box.

.topic 3283
E-Mail

Enter the normal E-Mail address for this user

.topic 3284
Location

Enter the location of this user.

.topic 3285
Password

Enter or change the password the user will use to log into TC Tracker. The user may change this.

.topic 3286
Confirm

Confirm the password.

.topic 1081

.topic 1082
Name

Enter the name for the field. This name must be unique in the context of UDF's.

.topic 1083
Type

Select the type of this field. This can be one of: String, Integer, Date, Number.

.topic 1084
Caption

This text is used when displaying the field in the properties dialog box for Issues.

.topic 1085
Size

If this is a text field, you can specify a maximum size for this field. Setting this value to 0 means there is no limit on the amount of text that can be entered to this field

.topic 1086
Record History

If this is checked, Tracker will record changes to this field in the History list.

.topic 1087
Options

Enter a list of options for the user to select from when editing this field.

.topic 1088
Default

Enter a default value to assign to this field. This value will be used when new Issues are created if the user does not enter a value.

.topic 1116
Required

If this is checked, the user needs to enter a value in this field before saving an issue.

.topic 1120
Scope

Check this box to make this field visible for Bug Reports.

.topic 1121
Scope

Check this box to make this field visible for Feature Requests.

.topic 1122
Scope

Check this box to make this field visible for Enhancements.

.topic 1123
Scope

Check this box to make this field visible for Tasks.

.topic 1124
Scope

Check this box to make this field visible for Work Requests.

.topic 1090

.topic 1091
Preview

This area displays a preview of the current section as it will appear to the user. It includes the effects of the current Stylesheet, if any.

.topic 1092
Stylesheet

Select this option to modify the Stylesheet associated with this template. Stylesheets apply across all sections of a template.

.topic 1093
Body

Define the Html used for the body of this section. Note that when editing the Html, you should not specify a <head> section as this is added automatically.

.topic 1094
Header

Define the Html used for the header part of this section. Note that when editing the Html, you should not specify a <head> section as this is added automatically.

.topic 1095
Odd

Define the Html used when displaying odd rows in this list section. Note that when editing the Html, you should not specify a <head> section as this is added automatically.

.topic 1096
Even

Define the Html used when displaying even rows in this list section. Note that when editing the Html, you should not specify a <head> section as this is added automatically.

.topic 1097
Footer

Define the Html used when displaying the footer of this list section. Note that when editing the Html, you should not specify a <head> section as this is added automatically.

.topic 1098
Section

The sections included in a template depend on the type of template being defined and can be one of two types: Page or List. Select the section to display it in the Preview pane.

.topic 1101

.topic 1102
Name

Enter a name for the new template. It must be a unique name in the context of existing templates..

.topic 1103
Description

Enter a description of this template.

.topic 1104
Style

Select the type of template you want to create.

.topic 1105
Based on

This list displays all compatible templates for the style you selected. Select one to act as the basis of the new template.